cleanup: shfmt, shellcheck, and whitespace
authorAJ ONeal <aj@therootcompany.com>
Mon, 26 Apr 2021 07:03:47 +0000 (07:03 +0000)
committerAJ ONeal <aj@therootcompany.com>
Mon, 26 Apr 2021 07:03:47 +0000 (07:03 +0000)
94 files changed:
_example/install.sh
_vim-example/install.sh
_webi/bootstrap.sh
_webi/example_install_safe_copy.sh
_webi/template.sh
_webi/ua-detect.js
arc/install.sh
awless/install.ps1
awless/install.sh
bat/README.md
bat/install.ps1
bat/install.sh
brew/install.sh
caddy/install.ps1
caddy/install.sh
chromedriver/install.sh
comrak/install.sh
curlie/install.ps1
curlie/install.sh
deno/install.sh
dotenv-linter/install.sh
dotenv/install.sh
fd/install.ps1
fd/install.sh
ffmpeg/install.sh
fish/install.sh
flutter/install.sh
fzf/install.ps1
fzf/install.sh
gitdeploy/install.sh
gitea/install.sh
golang/install.ps1
golang/install.sh
goreleaser/install.sh
gprox/README.md
gprox/install.ps1
gprox/install.sh
hexyl/install.sh
hugo/install.sh
jq/install.sh
k9s/README.md
k9s/install.ps1
k9s/install.sh
keypairs/install.sh
kubectx/install.ps1
kubectx/install.sh
kubens/install.ps1
kubens/install.sh
kubens/releases.js
lf/install.sh
lsd/install.ps1
lsd/install.sh
macos/install.sh
mutagen/install.sh
myip/install.sh
myip/myip.sh
nerdfont/install.ps1
nerdfont/install.sh
node/install.sh
pandoc/install.ps1
pandoc/install.sh
pathman/install.sh
postgres/install.sh
powershell/install.sh
prettier/install.sh
pyenv/install.sh
rclone/install.sh
rg/install.ps1
rg/install.sh
sass/install.sh
sclient/install.sh
sd/install.ps1
sd/install.sh
serviceman/install.sh
shfmt/install.sh
ssh-pubkey/install.sh
ssh-utils/install.sh
ssh-utils/ssh-adduser.sh
ssh-utils/ssh-pubkey.sh
sudo/install.sh
syncthing/install.sh
vim-ale/install.sh
vim-beyondcode/install.sh
vim-devicons/install.sh
vim-essentials/install.sh
vim-lastplace/install.sh
vim-nerdtree/install.sh
vim-prettier/install.sh
vim-shfmt/install.sh
vps-addswap/install.sh
watchexec/install.sh
webi/install.sh
xz/install.sh
yq/install.sh

index 280997cd7af9a93c1e61a8f4ff4a1fb7c63d79df..07e9694bdb68f74d5abaaf06c51ce405943264df 100644 (file)
@@ -33,7 +33,7 @@ function __init_foobar() {
         #       foobar 0.99.9 (rev abcdef0123)
         # This trims it down to just the version number:
         #       0.99.9
-        echo $(foo --version 2>/dev/null | head -n 1 | cut -d ' ' -f 2)
+        echo $(foo --version 2> /dev/null | head -n 1 | cut -d ' ' -f 2)
     }
 
 }
index 55cd88dac02093aaf9e42def1a367d4cdc298d49..4a8cdb9142a79db818d6c1b36f4fb4aa4f0b54ea 100644 (file)
@@ -18,7 +18,7 @@ function __init_vim_example() {
         curl -fsSL -o ~/.vim/plugins/example.vim "$WEBI_HOST/packages/vim-example/example.vim"
     fi
 
-    if ! grep 'source.*plugins.example.vim' -r ~/.vimrc >/dev/null 2>/dev/null; then
+    if ! grep 'source.*plugins.example.vim' -r ~/.vimrc > /dev/null 2> /dev/null; then
         set +e
         mkdir -p ~/.vim/plugins
         printf '\n" example: reasonable defaults from webinstall.dev/vim-example\n' >> ~/.vimrc
index 877ad818443500feccc80ab79a49eeebac4cfba7..dfbf9de0210902998fab0fad566ea0c6c9c745ed 100644 (file)
@@ -2,16 +2,16 @@
 
 {
 
-set -e
-set -u
+    set -e
+    set -u
 
-#WEBI_PKG=
-#WEBI_HOST=https://webinstall.dev
-export WEBI_HOST
+    #WEBI_PKG=
+    #WEBI_HOST=https://webinstall.dev
+    export WEBI_HOST
 
-mkdir -p "$HOME/.local/bin"
+    mkdir -p "$HOME/.local/bin"
 
-cat << EOF > "$HOME/.local/bin/webi"
+    cat << EOF > "$HOME/.local/bin/webi"
 #!/bin/bash
 
 set -e
@@ -139,10 +139,10 @@ show_path_updates
 
 EOF
 
-chmod a+x "$HOME/.local/bin/webi"
+    chmod a+x "$HOME/.local/bin/webi"
 
-if [ -n "${WEBI_PKG:-}" ]; then
-    "$HOME/.local/bin/webi" "${WEBI_PKG}"
-fi
+    if [ -n "${WEBI_PKG:-}" ]; then
+        "$HOME/.local/bin/webi" "${WEBI_PKG}"
+    fi
 
 }
index c52b018f028fa72f97b618524316476d59c0e150..e1600bb5822d1ead28eb31851681aebb3a9fbd62 100644 (file)
@@ -1,14 +1,14 @@
 # For installing from the extracted package tmp directory
 pkg_install() {
-    pushd "$WEBI_TMP" 2>&1 >/dev/null
+    pushd "$WEBI_TMP" 2>&1 > /dev/null
 
-        if [ -n "$(command -v rsync 2>/dev/null | grep rsync)" ]; then
-            rsync -Krl ./xmpl*/ "$pkg_src/" 2>/dev/null
-        else
-            cp -Hr ./xmpl*/* "$pkg_src/" 2>/dev/null
-            cp -Hr ./xmpl*/.* "$pkg_src/" 2>/dev/null
-        fi
-        rm -rf ./xmpl*
+    if [ -n "$(command -v rsync 2> /dev/null | grep rsync)" ]; then
+        rsync -Krl ./xmpl*/ "$pkg_src/" 2> /dev/null
+    else
+        cp -Hr ./xmpl*/* "$pkg_src/" 2> /dev/null
+        cp -Hr ./xmpl*/.* "$pkg_src/" 2> /dev/null
+    fi
+    rm -rf ./xmpl*
 
-    popd 2>&1 >/dev/null
+    popd 2>&1 > /dev/null
 }
index 643be6ccaa1852fe81312b45857c4aecfdd83327..1823945d5d2763da4fc553d5bf376920bd8ab2cc 100644 (file)
 
 function __bootstrap_webi() {
 
-set -e
-set -u
-#set -x
-
-#WEBI_PKG=
-#PKG_NAME=
-# TODO should this be BASEURL instead?
-#WEBI_OS=
-#WEBI_ARCH=
-#WEBI_HOST=
-#WEBI_RELEASES=
-#WEBI_CSV=
-#WEBI_TAG=
-#WEBI_VERSION=
-#WEBI_MAJOR=
-#WEBI_MINOR=
-#WEBI_PATCH=
-# TODO not sure if BUILD is the best name for this
-#WEBI_BUILD=
-#WEBI_LTS=
-#WEBI_CHANNEL=
-#WEBI_EXT=
-#WEBI_FORMATS=
-#WEBI_PKG_URL=
-#WEBI_PKG_FILE=
-#PKG_OSES=
-#PKG_ARCHES=
-#PKG_FORMATS=
-WEBI_UA="$(uname -a)"
-export WEBI_HOST
-
-##
-## Set up tmp, download, and install directories
-##
-
-WEBI_TMP=${WEBI_TMP:-"$(mktemp -d -t webinstall-${WEBI_PKG:-}.XXXXXXXX)"}
-export _webi_tmp="${_webi_tmp:-"$HOME/.local/opt/webi-tmp.d"}"
-
-mkdir -p "$HOME/Downloads"
-mkdir -p "$HOME/.local/bin"
-mkdir -p "$HOME/.local/opt"
-
-##
-## Detect http client
-##
-set +e
-export WEBI_CURL="$(command -v curl)"
-export WEBI_WGET="$(command -v wget)"
-set -e
-
-
-# get the special formatted version (i.e. "go is go1.14" while node is "node v12.10.8")
-my_versioned_name=""
-_webi_canonical_name() {
-    if [ -n "$my_versioned_name" ]; then
-        echo "$my_versioned_name"
-        return 0
-    fi
+    set -e
+    set -u
+    #set -x
+
+    #WEBI_PKG=
+    #PKG_NAME=
+    # TODO should this be BASEURL instead?
+    #WEBI_OS=
+    #WEBI_ARCH=
+    #WEBI_HOST=
+    #WEBI_RELEASES=
+    #WEBI_CSV=
+    #WEBI_TAG=
+    #WEBI_VERSION=
+    #WEBI_MAJOR=
+    #WEBI_MINOR=
+    #WEBI_PATCH=
+    # TODO not sure if BUILD is the best name for this
+    #WEBI_BUILD=
+    #WEBI_LTS=
+    #WEBI_CHANNEL=
+    #WEBI_EXT=
+    #WEBI_FORMATS=
+    #WEBI_PKG_URL=
+    #WEBI_PKG_FILE=
+    #PKG_OSES=
+    #PKG_ARCHES=
+    #PKG_FORMATS=
+    WEBI_UA="$(uname -a)"
+    export WEBI_HOST
+
+    ##
+    ## Set up tmp, download, and install directories
+    ##
+
+    WEBI_TMP=${WEBI_TMP:-"$(mktemp -d -t webinstall-${WEBI_PKG:-}.XXXXXXXX)"}
+    export _webi_tmp="${_webi_tmp:-"$HOME/.local/opt/webi-tmp.d"}"
+
+    mkdir -p "$HOME/Downloads"
+    mkdir -p "$HOME/.local/bin"
+    mkdir -p "$HOME/.local/opt"
+
+    ##
+    ## Detect http client
+    ##
+    set +e
+    export WEBI_CURL="$(command -v curl)"
+    export WEBI_WGET="$(command -v wget)"
+    set -e
 
-    if [ -n "$(command -v pkg_format_cmd_version)" ]; then
-        my_versioned_name="$(pkg_format_cmd_version "$WEBI_VERSION")"
-    else
-        my_versioned_name="'$pkg_cmd_name' v$WEBI_VERSION"
-    fi
+    # get the special formatted version (i.e. "go is go1.14" while node is "node v12.10.8")
+    my_versioned_name=""
+    _webi_canonical_name() {
+        if [ -n "$my_versioned_name" ]; then
+            echo "$my_versioned_name"
+            return 0
+        fi
 
-    echo "$my_versioned_name"
-}
+        if [ -n "$(command -v pkg_format_cmd_version)" ]; then
+            my_versioned_name="$(pkg_format_cmd_version "$WEBI_VERSION")"
+        else
+            my_versioned_name="'$pkg_cmd_name' v$WEBI_VERSION"
+        fi
 
-# update symlinks according to $HOME/.local/opt and $HOME/.local/bin install paths.
-webi_link() {
-    if [ -n "$(command -v pkg_link)" ]; then
-        pkg_link
-        return 0
-    fi
+        echo "$my_versioned_name"
+    }
 
-    if [ -n "$WEBI_SINGLE" ] || [ "single" == "${1:-}" ]; then
-        rm -rf "$pkg_dst_cmd"
-        ln -s "$pkg_src_cmd" "$pkg_dst_cmd"
-    else
-        # 'pkg_dst' will default to $HOME/.local/opt/<pkg>
-        # 'pkg_src' will be the installed version, such as to $HOME/.local/opt/<pkg>-<version>
-        rm -rf "$pkg_dst"
-        ln -s "$pkg_src" "$pkg_dst"
-    fi
-}
+    # update symlinks according to $HOME/.local/opt and $HOME/.local/bin install paths.
+    webi_link() {
+        if [ -n "$(command -v pkg_link)" ]; then
+            pkg_link
+            return 0
+        fi
 
-# detect if this program is already installed or if an installed version may cause conflict
-webi_check() {
-    # Test for existing version
-    set +e
-    my_path="$PATH"
-    export PATH="$(dirname "$pkg_dst_cmd"):$PATH"
-    my_current_cmd="$(command -v "$pkg_cmd_name")"
-    set -e
-    if [ -n "$my_current_cmd" ]; then
-        pkg_current_version="$(pkg_get_current_version 2>/dev/null | head -n 1)"
-        # remove trailing '.0's for golang's sake
-        my_current_version="$(echo $pkg_current_version | sed 's:\.0::g')"
-        my_src_version="$(echo $WEBI_VERSION | sed 's:\.0::g')"
-        my_canonical_name="$(_webi_canonical_name)"
-        if [ "$my_src_version" == "$my_current_version" ]; then
-            echo "$my_canonical_name already installed at $my_current_cmd"
-            exit 0
+        if [ -n "$WEBI_SINGLE" ] || [ "single" == "${1:-}" ]; then
+            rm -rf "$pkg_dst_cmd"
+            ln -s "$pkg_src_cmd" "$pkg_dst_cmd"
         else
-            if [ "$my_current_cmd" != "$pkg_dst_cmd" ]; then
-                >&2 echo "WARN: possible conflict between $my_canonical_name and $pkg_current_version at $my_current_cmd"
-            fi
-            if [ -x "$pkg_src_cmd" ]; then
-                webi_link
-                echo "switched to $my_canonical_name at $pkg_src"
+            # 'pkg_dst' will default to $HOME/.local/opt/<pkg>
+            # 'pkg_src' will be the installed version, such as to $HOME/.local/opt/<pkg>-<version>
+            rm -rf "$pkg_dst"
+            ln -s "$pkg_src" "$pkg_dst"
+        fi
+    }
+
+    # detect if this program is already installed or if an installed version may cause conflict
+    webi_check() {
+        # Test for existing version
+        set +e
+        my_path="$PATH"
+        export PATH="$(dirname "$pkg_dst_cmd"):$PATH"
+        my_current_cmd="$(command -v "$pkg_cmd_name")"
+        set -e
+        if [ -n "$my_current_cmd" ]; then
+            pkg_current_version="$(pkg_get_current_version 2> /dev/null | head -n 1)"
+            # remove trailing '.0's for golang's sake
+            my_current_version="$(echo $pkg_current_version | sed 's:\.0::g')"
+            my_src_version="$(echo $WEBI_VERSION | sed 's:\.0::g')"
+            my_canonical_name="$(_webi_canonical_name)"
+            if [ "$my_src_version" == "$my_current_version" ]; then
+                echo "$my_canonical_name already installed at $my_current_cmd"
                 exit 0
+            else
+                if [ "$my_current_cmd" != "$pkg_dst_cmd" ]; then
+                    echo >&2 "WARN: possible conflict between $my_canonical_name and $pkg_current_version at $my_current_cmd"
+                fi
+                if [ -x "$pkg_src_cmd" ]; then
+                    webi_link
+                    echo "switched to $my_canonical_name at $pkg_src"
+                    exit 0
+                fi
             fi
-          fi
-    fi
-    export PATH="$my_path"
-}
-
-# detect if file is downloaded, and how to download it
-webi_download() {
-    if [ -n "${1:-}" ]; then
-        my_url="$1"
-    else
-        if [ "error" == "$WEBI_CHANNEL" ]; then
-            # TODO pass back requested OS / Arch / Version
-            >&2 echo "Error: no '$PKG_NAME' release for '$WEBI_OS' on '$WEBI_ARCH' as one of '$WEBI_FORMATS' by the tag '$WEBI_TAG'"
-            >&2 echo "       '$PKG_NAME' is available for '$PKG_OSES' on '$PKG_ARCHES' as one of '$PKG_FORMATS'"
-            >&2 echo "       (check that the package name and version are correct)"
-            >&2 echo ""
-            >&2 echo "       Double check at $(echo "$WEBI_RELEASES" | sed 's:\?.*::')"
-            >&2 echo ""
-            exit 1
         fi
-        my_url="$WEBI_PKG_URL"
-    fi
-    if [ -n "${2:-}" ]; then
-        my_dl="$2"
-    else
-        my_dl="$HOME/Downloads/$WEBI_PKG_FILE"
-    fi
-
-    if [ -e "$my_dl" ]; then
-        echo "Found $my_dl"
-        return 0
-    fi
-
-    echo "Downloading $PKG_NAME from"
-    echo "$my_url"
+        export PATH="$my_path"
+    }
 
-    # It's only 2020, we can't expect to have reliable CLI tools
-    # to tell us the size of a file as part of a base system...
-    if [ -n "$WEBI_WGET" ]; then
-        # wget has resumable downloads
-        # TODO wget -c --content-disposition "$my_url"
-        set +e
-        my_show_progress=""
-        if [[ $- == *i* ]]; then
-          my_show_progress="--show-progress"
+    # detect if file is downloaded, and how to download it
+    webi_download() {
+        if [ -n "${1:-}" ]; then
+            my_url="$1"
+        else
+            if [ "error" == "$WEBI_CHANNEL" ]; then
+                # TODO pass back requested OS / Arch / Version
+                echo >&2 "Error: no '$PKG_NAME' release for '$WEBI_OS' on '$WEBI_ARCH' as one of '$WEBI_FORMATS' by the tag '$WEBI_TAG'"
+                echo >&2 "       '$PKG_NAME' is available for '$PKG_OSES' on '$PKG_ARCHES' as one of '$PKG_FORMATS'"
+                echo >&2 "       (check that the package name and version are correct)"
+                echo >&2 ""
+                echo >&2 "       Double check at $(echo "$WEBI_RELEASES" | sed 's:\?.*::')"
+                echo >&2 ""
+                exit 1
+            fi
+            my_url="$WEBI_PKG_URL"
         fi
-        wget -q $my_show_progress --user-agent="wget $WEBI_UA" -c "$my_url" -O "$my_dl.part"
-        if ! [ $? -eq 0 ]; then
-          >&2 echo "failed to download from $WEBI_PKG_URL"
-          exit 1
+        if [ -n "${2:-}" ]; then
+            my_dl="$2"
+        else
+            my_dl="$HOME/Downloads/$WEBI_PKG_FILE"
         fi
-        set -e
-    else
-        # Neither GNU nor BSD curl have sane resume download options, hence we don't bother
-        # TODO curl -fsSL --remote-name --remote-header-name --write-out "$my_url"
-        my_show_progress="-#"
-        if [[ $- == *i* ]]; then
-          my_show_progress=""
+
+        if [ -e "$my_dl" ]; then
+            echo "Found $my_dl"
+            return 0
         fi
-        curl -fSL $my_show_progress -H "User-Agent: curl $WEBI_UA" "$my_url" -o "$my_dl.part"
-    fi
-    mv "$my_dl.part" "$my_dl"
 
-    echo ""
-    echo "Saved as $my_dl"
-}
+        echo "Downloading $PKG_NAME from"
+        echo "$my_url"
+
+        # It's only 2020, we can't expect to have reliable CLI tools
+        # to tell us the size of a file as part of a base system...
+        if [ -n "$WEBI_WGET" ]; then
+            # wget has resumable downloads
+            # TODO wget -c --content-disposition "$my_url"
+            set +e
+            my_show_progress=""
+            if [[ $- == *i* ]]; then
+                my_show_progress="--show-progress"
+            fi
+            wget -q $my_show_progress --user-agent="wget $WEBI_UA" -c "$my_url" -O "$my_dl.part"
+            if ! [ $? -eq 0 ]; then
+                echo >&2 "failed to download from $WEBI_PKG_URL"
+                exit 1
+            fi
+            set -e
+        else
+            # Neither GNU nor BSD curl have sane resume download options, hence we don't bother
+            # TODO curl -fsSL --remote-name --remote-header-name --write-out "$my_url"
+            my_show_progress="-#"
+            if [[ $- == *i* ]]; then
+                my_show_progress=""
+            fi
+            curl -fSL $my_show_progress -H "User-Agent: curl $WEBI_UA" "$my_url" -o "$my_dl.part"
+        fi
+        mv "$my_dl.part" "$my_dl"
+
+        echo ""
+        echo "Saved as $my_dl"
+    }
 
-# detect which archives can be used
-webi_extract() {
-    pushd "$WEBI_TMP" 2>&1 >/dev/null
+    # detect which archives can be used
+    webi_extract() {
+        pushd "$WEBI_TMP" 2>&1 > /dev/null
         if [ "tar" == "$WEBI_EXT" ]; then
             echo "Extracting $HOME/Downloads/$WEBI_PKG_FILE"
             tar xf "$HOME/Downloads/$WEBI_PKG_FILE"
@@ -201,167 +200,167 @@ webi_extract() {
             echo "Failed to extract $HOME/Downloads/$WEBI_PKG_FILE"
             exit 1
         fi
-    popd 2>&1 >/dev/null
-}
-
-# use 'pathman' to update $HOME/.config/envman/PATH.env
-webi_path_add() {
-    # make sure that we don't recursively install pathman with webi
-    my_path="$PATH"
-    export PATH="$HOME/.local/bin:$PATH"
-
-    # install pathman if not already installed
-    if [ -z "$(command -v pathman)" ]; then
-        "$HOME/.local/bin/webi" pathman > /dev/null
-    fi
-
-    export PATH="$my_path"
-
-    # in case pathman was recently installed and the PATH not updated
-    mkdir -p "$_webi_tmp"
-    # prevent "too few arguments" output on bash when there are 0 lines of stdout
-    "$HOME/.local/bin/pathman" add "$1" | grep "export" 2>/dev/null >> "$_webi_tmp/.PATH.env" || true
-}
-
-# group common pre-install tasks as default
-webi_pre_install() {
-    webi_check
-    webi_download
-    webi_extract
-}
-
-# move commands from the extracted archive directory to $HOME/.local/opt or $HOME/.local/bin
-webi_install() {
-    if [ -n "$WEBI_SINGLE" ] || [ "single" == "${1:-}" ]; then
-        mkdir -p "$(dirname $pkg_src_cmd)"
-        mv ./"$pkg_cmd_name"* "$pkg_src_cmd"
-    else
-        rm -rf "$pkg_src"
-        mv ./"$pkg_cmd_name"* "$pkg_src"
-    fi
-}
-
-# run post-install functions - just updating PATH by default
-webi_post_install() {
-    webi_path_add "$(dirname "$pkg_dst_cmd")"
-}
+        popd 2>&1 > /dev/null
+    }
+
+    # use 'pathman' to update $HOME/.config/envman/PATH.env
+    webi_path_add() {
+        # make sure that we don't recursively install pathman with webi
+        my_path="$PATH"
+        export PATH="$HOME/.local/bin:$PATH"
+
+        # install pathman if not already installed
+        if [ -z "$(command -v pathman)" ]; then
+            "$HOME/.local/bin/webi" pathman > /dev/null
+        fi
 
-_webi_enable_exec() {
-    if [ -n "$(command -v spctl)" ] && [ -n "$(command -v xattr)" ] ; then
-        # note: some packages contain files that cannot be affected by xattr
-        xattr -r -d com.apple.quarantine "$pkg_src" || true
-        return 0
-    fi
-    # TODO need to test that the above actually worked
-    # (and proceed to this below if it did not)
-    if [ -n "$(command -v spctl)" ]; then
-        echo "Checking permission to execute '$pkg_cmd_name' on macOS 11+"
-        set +e
-        is_allowed="$(spctl -a "$pkg_src_cmd" 2>&1 | grep valid)"
-        set -e
-        if [ -z "$is_allowed" ]; then
-            echo ""
-            echo "##########################################"
-            echo "#  IMPORTANT: Permission Grant Required  #"
-            echo "##########################################"
-            echo ""
-            echo "Requesting permission to execute '$pkg_cmd_name' on macOS 10.14+"
-            echo ""
-            sleep 3
-            spctl --add "$pkg_src_cmd"
+        export PATH="$my_path"
+
+        # in case pathman was recently installed and the PATH not updated
+        mkdir -p "$_webi_tmp"
+        # prevent "too few arguments" output on bash when there are 0 lines of stdout
+        "$HOME/.local/bin/pathman" add "$1" | grep "export" 2> /dev/null >> "$_webi_tmp/.PATH.env" || true
+    }
+
+    # group common pre-install tasks as default
+    webi_pre_install() {
+        webi_check
+        webi_download
+        webi_extract
+    }
+
+    # move commands from the extracted archive directory to $HOME/.local/opt or $HOME/.local/bin
+    webi_install() {
+        if [ -n "$WEBI_SINGLE" ] || [ "single" == "${1:-}" ]; then
+            mkdir -p "$(dirname $pkg_src_cmd)"
+            mv ./"$pkg_cmd_name"* "$pkg_src_cmd"
+        else
+            rm -rf "$pkg_src"
+            mv ./"$pkg_cmd_name"* "$pkg_src"
         fi
-    fi
-}
+    }
+
+    # run post-install functions - just updating PATH by default
+    webi_post_install() {
+        webi_path_add "$(dirname "$pkg_dst_cmd")"
+    }
+
+    _webi_enable_exec() {
+        if [ -n "$(command -v spctl)" ] && [ -n "$(command -v xattr)" ]; then
+            # note: some packages contain files that cannot be affected by xattr
+            xattr -r -d com.apple.quarantine "$pkg_src" || true
+            return 0
+        fi
+        # TODO need to test that the above actually worked
+        # (and proceed to this below if it did not)
+        if [ -n "$(command -v spctl)" ]; then
+            echo "Checking permission to execute '$pkg_cmd_name' on macOS 11+"
+            set +e
+            is_allowed="$(spctl -a "$pkg_src_cmd" 2>&1 | grep valid)"
+            set -e
+            if [ -z "$is_allowed" ]; then
+                echo ""
+                echo "##########################################"
+                echo "#  IMPORTANT: Permission Grant Required  #"
+                echo "##########################################"
+                echo ""
+                echo "Requesting permission to execute '$pkg_cmd_name' on macOS 10.14+"
+                echo ""
+                sleep 3
+                spctl --add "$pkg_src_cmd"
+            fi
+        fi
+    }
 
-# a friendly message when all is well, showing the final install path in $HOME/.local
-_webi_done_message() {
-    echo "Installed $(_webi_canonical_name) as $pkg_dst_cmd"
-}
+    # a friendly message when all is well, showing the final install path in $HOME/.local
+    _webi_done_message() {
+        echo "Installed $(_webi_canonical_name) as $pkg_dst_cmd"
+    }
 
-##
-##
-## BEGIN custom override functions from <package>/install.sh
-##
-##
+    ##
+    ##
+    ## BEGIN custom override functions from <package>/install.sh
+    ##
+    ##
 
-WEBI_SINGLE=
+    WEBI_SINGLE=
 
-echo ""
-echo "Thanks for using webi to install '$PKG_NAME' on '$WEBI_OS/$WEBI_ARCH'."
-echo "Have a problem? Experience a bug? Please let us know:"
-echo "        https://github.com/webinstall/packages/issues"
-echo ""
+    echo ""
+    echo "Thanks for using webi to install '$PKG_NAME' on '$WEBI_OS/$WEBI_ARCH'."
+    echo "Have a problem? Experience a bug? Please let us know:"
+    echo "        https://github.com/webinstall/packages/issues"
+    echo ""
 
-function __init_installer() {
+    function __init_installer() {
 
-{{ installer }}
+        {{ installer }}
 
-}
+    }
 
-__init_installer
+    __init_installer
 
-##
-##
-## END custom override functions
-##
-##
+    ##
+    ##
+    ## END custom override functions
+    ##
+    ##
 
-# run everything with defaults or overrides as needed
-if [ -n "$(command -v pkg_get_current_version)" ]; then
-    pkg_cmd_name="${pkg_cmd_name:-$PKG_NAME}"
+    # run everything with defaults or overrides as needed
+    if [ -n "$(command -v pkg_get_current_version)" ]; then
+        pkg_cmd_name="${pkg_cmd_name:-$PKG_NAME}"
 
-    if [ -n "$WEBI_SINGLE" ]; then
-        pkg_dst_cmd="${pkg_dst_cmd:-$HOME/.local/bin/$pkg_cmd_name}"
-        pkg_dst="$pkg_dst_cmd" # "$(dirname "$(dirname $pkg_dst_cmd)")"
+        if [ -n "$WEBI_SINGLE" ]; then
+            pkg_dst_cmd="${pkg_dst_cmd:-$HOME/.local/bin/$pkg_cmd_name}"
+            pkg_dst="$pkg_dst_cmd" # "$(dirname "$(dirname $pkg_dst_cmd)")"
 
-        #pkg_src_cmd="${pkg_src_cmd:-$HOME/.local/opt/$pkg_cmd_name-v$WEBI_VERSION/bin/$pkg_cmd_name-v$WEBI_VERSION}"
-        pkg_src_cmd="${pkg_src_cmd:-$HOME/.local/opt/$pkg_cmd_name-v$WEBI_VERSION/bin/$pkg_cmd_name}"
-        pkg_src="$pkg_src_cmd" # "$(dirname "$(dirname $pkg_src_cmd)")"
-    else
-        pkg_dst="${pkg_dst:-$HOME/.local/opt/$pkg_cmd_name}"
-        pkg_dst_cmd="${pkg_dst_cmd:-$pkg_dst/bin/$pkg_cmd_name}"
+            #pkg_src_cmd="${pkg_src_cmd:-$HOME/.local/opt/$pkg_cmd_name-v$WEBI_VERSION/bin/$pkg_cmd_name-v$WEBI_VERSION}"
+            pkg_src_cmd="${pkg_src_cmd:-$HOME/.local/opt/$pkg_cmd_name-v$WEBI_VERSION/bin/$pkg_cmd_name}"
+            pkg_src="$pkg_src_cmd" # "$(dirname "$(dirname $pkg_src_cmd)")"
+        else
+            pkg_dst="${pkg_dst:-$HOME/.local/opt/$pkg_cmd_name}"
+            pkg_dst_cmd="${pkg_dst_cmd:-$pkg_dst/bin/$pkg_cmd_name}"
 
-        pkg_src="${pkg_src:-$HOME/.local/opt/$pkg_cmd_name-v$WEBI_VERSION}"
-        pkg_src_cmd="${pkg_src_cmd:-$pkg_src/bin/$pkg_cmd_name}"
-    fi
-    pkg_src_bin="$(dirname "$pkg_src_cmd")"
-    pkg_dst_bin="$(dirname "$pkg_dst_cmd")"
+            pkg_src="${pkg_src:-$HOME/.local/opt/$pkg_cmd_name-v$WEBI_VERSION}"
+            pkg_src_cmd="${pkg_src_cmd:-$pkg_src/bin/$pkg_cmd_name}"
+        fi
+        pkg_src_bin="$(dirname "$pkg_src_cmd")"
+        pkg_dst_bin="$(dirname "$pkg_dst_cmd")"
 
-    [ -n "$(command -v pkg_pre_install)" ] && pkg_pre_install || webi_pre_install
+        [ -n "$(command -v pkg_pre_install)" ] && pkg_pre_install || webi_pre_install
 
-    pushd "$WEBI_TMP" 2>&1 >/dev/null
+        pushd "$WEBI_TMP" 2>&1 > /dev/null
         echo "Installing to $pkg_src_cmd"
         [ -n "$(command -v pkg_install)" ] && pkg_install || webi_install
         chmod a+x "$pkg_src"
         chmod a+x "$pkg_src_cmd"
-    popd 2>&1 >/dev/null
+        popd 2>&1 > /dev/null
 
-    webi_link
+        webi_link
 
-    _webi_enable_exec
-    pushd "$WEBI_TMP" 2>&1 >/dev/null
+        _webi_enable_exec
+        pushd "$WEBI_TMP" 2>&1 > /dev/null
         [ -n "$(command -v pkg_post_install)" ] && pkg_post_install || webi_post_install
-    popd 2>&1 >/dev/null
+        popd 2>&1 > /dev/null
 
-    pushd "$WEBI_TMP" 2>&1 >/dev/null
+        pushd "$WEBI_TMP" 2>&1 > /dev/null
         [ -n "$(command -v pkg_done_message)" ] && pkg_done_message || _webi_done_message
-    popd 2>&1 >/dev/null
+        popd 2>&1 > /dev/null
 
-    echo ""
-fi
+        echo ""
+    fi
 
-webi_path_add "$HOME/.local/bin"
-if [ -z "${_WEBI_CHILD:-}" ] && [ -f "\$_webi_tmp/.PATH.env" ]; then
-    echo "You need to update your PATH to use $PKG_NAME:"
-    echo ""
-    cat "$_webi_tmp/.PATH.env" | sort -u
-    rm -f "$_webi_tmp/.PATH.env"
-fi
+    webi_path_add "$HOME/.local/bin"
+    if [ -z "${_WEBI_CHILD:-}" ] && [ -f '$_webi_tmp/.PATH.env' ]; then
+        echo "You need to update your PATH to use $PKG_NAME:"
+        echo ""
+        cat "$_webi_tmp/.PATH.env" | sort -u
+        rm -f "$_webi_tmp/.PATH.env"
+    fi
 
-# cleanup the temp directory
-rm -rf "$WEBI_TMP"
+    # cleanup the temp directory
+    rm -rf "$WEBI_TMP"
 
-# See? No magic. Just downloading and moving files.
+    # See? No magic. Just downloading and moving files.
 
 }
 
index 426db69615e15ed13c686b5afdb17ad1c8e37376..315046ce5fb69dc0218746882603ebd0a2096226 100644 (file)
@@ -54,7 +54,7 @@ function getArch(ua) {
     return '-';
   }
 
-  // quick hack for Apple Silicon M1 
+  // quick hack for Apple Silicon M1
   // Native:  Darwin boomer.local 20.2.0 Darwin Kernel Version 20.2.0: Wed Dec  2 20:40:21 PST 2020; root:xnu-7195.60.75~1/RELEASE_ARM64_T8101 arm64
   // Resetta: Darwin boomer.local 20.2.0 Darwin Kernel Version 20.2.0: Wed Dec  2 20:40:21 PST 2020; root:xnu-7195.60.75~1/RELEASE_ARM64_T8101 x86_64
   ua = ua.replace(/xnu-.*RELEASE_[^\s]*/, '')
index fb5f8c229ff0f2a82b1770a97e210f81c13044fc..4d983ee34fcd1c19a6463c8f5bd4e0a15585d341 100644 (file)
@@ -31,6 +31,6 @@
         #       arc v3.5.0 (25e050d) 2020-10-30T03:27:58Z
         # This trims it down to just the version number:
         #       3.5.0
-        echo "$(arc version 2>/dev/null | head -n 1 | cut -d' ' -f2 | sed 's:^v::')"
+        echo "$(arc version 2> /dev/null | head -n 1 | cut -d' ' -f2 | sed 's:^v::')"
     }
 }
index cb44f2b85b8067ee96772e6b4a9a9bae22264a30..dbd7a095e6a408f7f4b07ce2531048f65edf5701 100644 (file)
@@ -33,7 +33,7 @@ IF (!(Test-Path -Path "$pkg_src_cmd")) {
     # Enter tmp
     pushd .local\tmp
 
-    # Remove any leftover tmp cruft 
+    # Remove any leftover tmp cruft
     Remove-Item -Path ".\awless-v*" -Recurse -ErrorAction Ignore
     Remove-Item -Path ".\awless.exe" -Recurse -ErrorAction Ignore
 
index 080859db2e79006dcdba218aeda70bcd09148e26..089e2c4e62bac23722c75217afc558a139dfc163 100644 (file)
@@ -19,7 +19,7 @@ pkg_get_current_version() {
     #       v2.1.0 h1:pQSaIJGFluFvu8KDGDODV8u4/QRED/OPyIR+MWYYse8=
     # This trims it down to just the version number:
     #       2.1.0
-    echo "$(awless version 2>/dev/null | head -n 1 | cut -d' ' -f1 | sed 's:^v::')"
+    echo "$(awless version 2> /dev/null | head -n 1 | cut -d' ' -f1 | sed 's:^v::')"
 }
 
 pkg_install() {
index 75d12e5d550c8f6b0009edd0aa5b0063796c36d3..090f165e2bcc1ad7ee9698af3a5e7b3724e1ea96 100644 (file)
@@ -62,4 +62,4 @@ Edit the config file:
 ```txt
 # no numbers or headers, just highlighting and such
 --style="plain"
-```
\ No newline at end of file
+```
index bc9976951a0891d0f994792aa2f80905f4ecf334..5b79cc91f001e2bda39d305486e105615ba83e22 100644 (file)
@@ -28,7 +28,7 @@ IF (!(Test-Path -Path "$Env:USERPROFILE\.local\xbin\$VERNAME"))
         & tar xf "$Env:USERPROFILE\Downloads\$Env:WEBI_PKG_FILE"
         # Move single binary into root of temporary folder
         & move "$EXENAME" "$VERNAME"
-        
+
 
         # Settle unpacked archive into place
         echo "New Name: $VERNAME"
index 6ae91541de66cc83d69691534d65893ffe6b5831..b6f812eae54acd528cc0d82a6a22fadf3ed68b17 100644 (file)
     WEBI_SINGLE=true
 
     pkg_get_current_version() {
-      # 'bat --version' has output in this format:
-      #       bat 0.15.4
-      # This trims it down to just the version number:
-      #       0.15.4
-      echo $(bat --version 2>/dev/null | head -n 1 | cut -d' ' -f 2)
+        # 'bat --version' has output in this format:
+        #       bat 0.15.4
+        # This trims it down to just the version number:
+        #       0.15.4
+        echo $(bat --version 2> /dev/null | head -n 1 | cut -d' ' -f 2)
     }
 
     pkg_install() {
index 6668e3e5e539328814e538cb095b08b3a38c6781..76469b55679d39917066d1f60801089d0e2c2ee8 100644 (file)
@@ -7,9 +7,8 @@ function _install_brew() {
     # Straight from https://brew.sh
     #/bin/bash -c "$(curl -fsSL https://raw.githubusercontent.com/Homebrew/install/master/install.sh)"
 
-    needs_xcode="$(/usr/bin/xcode-select -p >/dev/null 2> /dev/null || echo "true")"
-    if [[ -n "${needs_xcode}" ]]
-    then
+    needs_xcode="$(/usr/bin/xcode-select -p > /dev/null 2> /dev/null || echo "true")"
+    if [[ -n ${needs_xcode} ]]; then
         echo ""
         echo ""
         echo "ERROR: Run this command to install XCode Command Line Tools first:"
index 5aa15b197302b9e2e16c5280ae5849700d37d65d..76de03a8222f0412a74e21001bd6873cdbd5e207 100644 (file)
@@ -33,7 +33,7 @@ IF (!(Test-Path -Path "$pkg_src_cmd")) {
     # Enter tmp
     pushd .local\tmp
 
-    # Remove any leftover tmp cruft 
+    # Remove any leftover tmp cruft
     Remove-Item -Path ".\caddy-v*" -Recurse -ErrorAction Ignore
     Remove-Item -Path ".\caddy.exe" -Recurse -ErrorAction Ignore
 
index d506229d7a631236de9179a19cfa5e04e7b20f9f..c0980b99e45e287858b39db0f5bbbeaa87e2c819 100644 (file)
@@ -19,7 +19,7 @@ pkg_get_current_version() {
     #       v2.1.0 h1:pQSaIJGFluFvu8KDGDODV8u4/QRED/OPyIR+MWYYse8=
     # This trims it down to just the version number:
     #       2.1.0
-    echo "$(caddy version 2>/dev/null | head -n 1 | cut -d' ' -f1 | sed 's:^v::')"
+    echo "$(caddy version 2> /dev/null | head -n 1 | cut -d' ' -f1 | sed 's:^v::')"
 }
 
 pkg_install() {
index d57d8b5eaad9556d1a9eda09c301a8d96a0e0de6..b7e4bbf37901370d3489857c12f08b3670daef35 100644 (file)
@@ -33,7 +33,7 @@
         #       ChromeDriver 88.0.4324.96 (68dba2d8a0b149a1d3afac56fa74648032bcf46b-refs/branch-heads/4324@{#1784})
         # This trims it down to just the version number:
         #       88.0.4324.96
-        echo $(chromedriver --version 2>/dev/null | head -n 1 | cut -d ' ' -f 2)
+        echo $(chromedriver --version 2> /dev/null | head -n 1 | cut -d ' ' -f 2)
     }
 
 }
index 8e503524c2f747f3d76eeb624f0068d5209dc519..a51a902e9eafbe202b226cd6f473e0e3ad5213e9 100644 (file)
     WEBI_SINGLE=true
 
     pkg_get_current_version() {
-      # 'comrak --version' has output in this format:
-      #       comrak 0.8.1
-      # This trims it down to just the version number:
-      #       0.8.1
-      echo $(comrak --version 2>/dev/null | head -n 1 | cut -d' ' -f 2)
+        # 'comrak --version' has output in this format:
+        #       comrak 0.8.1
+        # This trims it down to just the version number:
+        #       0.8.1
+        echo $(comrak --version 2> /dev/null | head -n 1 | cut -d' ' -f 2)
     }
 
     pkg_install() {
index bc9976951a0891d0f994792aa2f80905f4ecf334..5b79cc91f001e2bda39d305486e105615ba83e22 100644 (file)
@@ -28,7 +28,7 @@ IF (!(Test-Path -Path "$Env:USERPROFILE\.local\xbin\$VERNAME"))
         & tar xf "$Env:USERPROFILE\Downloads\$Env:WEBI_PKG_FILE"
         # Move single binary into root of temporary folder
         & move "$EXENAME" "$VERNAME"
-        
+
 
         # Settle unpacked archive into place
         echo "New Name: $VERNAME"
index ab6f30069b5768d473a27c5ad4d86207474f26db..f22adbdccf5292371fbdaaec5a14fd6e0360d3c1 100644 (file)
     WEBI_SINGLE=true
 
     pkg_get_current_version() {
-      # 'curlie --version' has output in this format:
-      #       TODO
-      # This trims it down to just the version number:
-      #       TODO
-      #echo $(curlie --version 2>/dev/null | head -n 1 | cut -d' ' -f 2)
-      # See https://github.com/rs/curlie/issues/22
-      echo "0.0.0"
+        # 'curlie --version' has output in this format:
+        #       TODO
+        # This trims it down to just the version number:
+        #       TODO
+        #echo $(curlie --version 2>/dev/null | head -n 1 | cut -d' ' -f 2)
+        # See https://github.com/rs/curlie/issues/22
+        echo "0.0.0"
     }
 
     pkg_install() {
index 06d83b2db060d18f5f33a90bcb8bb6dd13404302..78fc3d57ef7b706854ce9819c078ce001caa8bfe 100644 (file)
@@ -19,7 +19,7 @@ pkg_get_current_version() {
     #       typescript 3.9.2
     # This trims it down to just the version number:
     #       1.1.1
-    echo "$(deno --version 2>/dev/null | head -n 1 | cut -d' ' -f2)"
+    echo "$(deno --version 2> /dev/null | head -n 1 | cut -d' ' -f2)"
 }
 
 pkg_install() {
index 9bff300f321c015e4d5e99d162315a1385022d45..8a8c2ad529d58df958ee371f39d9eed302f888d7 100644 (file)
@@ -33,7 +33,7 @@
         #       dotenv-linter 0.99.9 (rev abcdef0123)
         # This trims it down to just the version number:
         #       0.99.9
-        echo $(dotenv-linter --version 2>/dev/null | head -n 1 | cut -d ' ' -f 2)
+        echo $(dotenv-linter --version 2> /dev/null | head -n 1 | cut -d ' ' -f 2)
     }
 
 }
index 5a63beceb29dfe2bee5894e5ae1077d5988c944a..60bfb3d8e3bcaf70634102c8f2bf664361792ca0 100644 (file)
@@ -34,7 +34,7 @@ function __init_dotenv() {
         #       dotenv v1.0.0 (17c7677) 2020-10-19T23:43:57Z
         # This trims it down to just the version number:
         #       1.0.0
-        echo "$(dotenv --version 2>/dev/null | head -n 1 | cut -d' ' -f2 | sed 's:^v::')"
+        echo "$(dotenv --version 2> /dev/null | head -n 1 | cut -d' ' -f2 | sed 's:^v::')"
     }
 
 }
index bc9976951a0891d0f994792aa2f80905f4ecf334..5b79cc91f001e2bda39d305486e105615ba83e22 100644 (file)
@@ -28,7 +28,7 @@ IF (!(Test-Path -Path "$Env:USERPROFILE\.local\xbin\$VERNAME"))
         & tar xf "$Env:USERPROFILE\Downloads\$Env:WEBI_PKG_FILE"
         # Move single binary into root of temporary folder
         & move "$EXENAME" "$VERNAME"
-        
+
 
         # Settle unpacked archive into place
         echo "New Name: $VERNAME"
index 92621ef41b2e969c3ddf2bdf213a009a295bd6b2..50af4761cb6edbacc3c79711db8960f6ab4cc49e 100644 (file)
     WEBI_SINGLE=true
 
     pkg_get_current_version() {
-      # 'fd --version' has output in this format:
-      #       fd 8.1.1
-      # This trims it down to just the version number:
-      #       8.1.1
-      echo $(fd --version 2>/dev/null | head -n 1 | cut -d' ' -f 2)
+        # 'fd --version' has output in this format:
+        #       fd 8.1.1
+        # This trims it down to just the version number:
+        #       8.1.1
+        echo $(fd --version 2> /dev/null | head -n 1 | cut -d' ' -f 2)
     }
 
     pkg_install() {
index fb0ef78d33f8602897ab8ba495dd7d1b994e52f6..eaf4e30429f9bb55676414b071c1d64d0d1117d9 100644 (file)
@@ -35,7 +35,7 @@
         #       ...
         # This trims it down to just the version number:
         #       4.3.1
-        echo $(ffmpeg -version 2>/dev/null | head -n 1 | cut -d ' ' -f 3)
+        echo $(ffmpeg -version 2> /dev/null | head -n 1 | cut -d ' ' -f 3)
     }
 
 }
index 097477d0b2496da36b75a276925b3813b95e3aea..49df30bd5046f463ebf7c016f15872b5f23cc896 100644 (file)
@@ -80,5 +80,5 @@ function pkg_get_current_version() {
     #       fish, version 3.1.2
     # This trims it down to just the version number:
     #       3.1.2
-    echo $(fish --version 2>/dev/null | head -n 1 | cut -d ' ' -f 3)
+    echo $(fish --version 2> /dev/null | head -n 1 | cut -d ' ' -f 3)
 }
index 82fac2357271e9840c854541607502a0ec29298b..9626eb36f987a62f0f91707adc9338ac44a1f28d 100644 (file)
@@ -21,7 +21,6 @@ pkg_src_cmd="$HOME/.local/opt/flutter-v$WEBI_VERSION/bin/flutter"
 pkg_src_dir="$HOME/.local/opt/flutter-v$WEBI_VERSION"
 pkg_src="$pkg_src_dir"
 
-
 pkg_get_current_version() {
     # 'flutter --version' outputs a lot of information:
     #       Flutter 1.19.0-4.1.pre â€¢ channel beta â€¢ https://github.com/flutter/flutter.git
@@ -30,7 +29,7 @@ pkg_get_current_version() {
     #       Tools â€¢ Dart 2.9.0 (build 2.9.0-14.1.beta)
     # This trims it down to just the version number:
     #       1.19.0-4.1.pre
-    echo "$(flutter --version 2>/dev/null | head -n 1 | cut -d' ' -f2)"
+    echo "$(flutter --version 2> /dev/null | head -n 1 | cut -d' ' -f2)"
 }
 
 pkg_format_cmd_version() {
index af36033e91fa6756dd5ce94fc5069d58328fd18e..5b79cc91f001e2bda39d305486e105615ba83e22 100644 (file)
@@ -28,7 +28,7 @@ IF (!(Test-Path -Path "$Env:USERPROFILE\.local\xbin\$VERNAME"))
         & tar xf "$Env:USERPROFILE\Downloads\$Env:WEBI_PKG_FILE"
         # Move single binary into root of temporary folder
         & move "$EXENAME" "$VERNAME"
-       
+
 
         # Settle unpacked archive into place
         echo "New Name: $VERNAME"
index 908001c63d6eadd43ed2042675cf234cd28e5aaf..6c2145e3fd0a108f9601741c68451c0002d0cf82 100644 (file)
     WEBI_SINGLE=true
 
     pkg_get_current_version() {
-      # 'fzf --version' has output in this format:
-      #       0.21.1 (334a4fa)
-      # This trims it down to just the version number:
-      #       0.21.1
-      echo $(fzf --version 2>/dev/null | head -n 1 | cut -d' ' -f 1)
+        # 'fzf --version' has output in this format:
+        #       0.21.1 (334a4fa)
+        # This trims it down to just the version number:
+        #       0.21.1
+        echo $(fzf --version 2> /dev/null | head -n 1 | cut -d' ' -f 1)
     }
 
     pkg_install() {
index f7b77c03ddcec1c5ef25559fe04c3e6c055b01df..6b7965a475fcec7dcae6afa288c905bbc22b2496 100644 (file)
@@ -34,7 +34,7 @@ function __init_gitdeploy() {
         #       gitdeploy v0.7.1 (be68fec) 2020-10-20T22:27:47Z)
         # This trims it down to just the version number:
         #       0.7.1
-        echo "$(gitdeploy --version 2>/dev/null | head -n 1 | cut -d' ' -f2 | sed 's:^v::')"
+        echo "$(gitdeploy --version 2> /dev/null | head -n 1 | cut -d' ' -f2 | sed 's:^v::')"
     }
 
 }
index 6a4d5868b930dbecadb6eedf7593df74c77b4c8a..bb55c660fdb6cf7afd36ebff139d2e4201cd9be9 100644 (file)
@@ -10,7 +10,7 @@ pkg_get_current_version() {
     #       v2.1.0 h1:pQSaIJGFluFvu8KDGDODV8u4/QRED/OPyIR+MWYYse8=
     # This trims it down to just the version number:
     #       2.0.0
-    echo "$(gitea --version 2>/dev/null | head -n 1 | cut -d' ' -f3)"
+    echo "$(gitea --version 2> /dev/null | head -n 1 | cut -d' ' -f3)"
 }
 
 pkg_link() {
index 8b7f8c2b34fe06995f760f701adf00a0fdef6a66..15b9fa73fcbd1234642de11ebdf4de7f98bfccea 100644 (file)
@@ -61,19 +61,19 @@ echo "Building go language tools..."
 echo gopls
 & "$pkg_dst_cmd" get golang.org/x/tools/gopls
 echo golint
-& "$pkg_dst_cmd" get golang.org/x/lint/golint 
+& "$pkg_dst_cmd" get golang.org/x/lint/golint
 echo errcheck
-& "$pkg_dst_cmd" get github.com/kisielk/errcheck 
+& "$pkg_dst_cmd" get github.com/kisielk/errcheck
 echo gotags
-& "$pkg_dst_cmd" get github.com/jstemmer/gotags 
+& "$pkg_dst_cmd" get github.com/jstemmer/gotags
 echo goimports
-& "$pkg_dst_cmd" get golang.org/x/tools/cmd/goimports 
+& "$pkg_dst_cmd" get golang.org/x/tools/cmd/goimports
 echo gorename
-& "$pkg_dst_cmd" get golang.org/x/tools/cmd/gorename 
+& "$pkg_dst_cmd" get golang.org/x/tools/cmd/gorename
 echo gotype
-& "$pkg_dst_cmd" get golang.org/x/tools/cmd/gotype 
+& "$pkg_dst_cmd" get golang.org/x/tools/cmd/gotype
 echo stringer
-& "$pkg_dst_cmd" get golang.org/x/tools/cmd/stringer 
+& "$pkg_dst_cmd" get golang.org/x/tools/cmd/stringer
 
 # Add to path
 & "$Env:USERPROFILE\.local\bin\pathman.exe" add ~/.local/opt/go/bin
index 30493cf88d1e8d070d83bb32534d0e63203eb938..01b5a19b923fb3449e9fe03a55a42a0c7b68adc6 100644 (file)
@@ -19,7 +19,7 @@ pkg_get_current_version() {
     #       go version go1.14.2 darwin/amd64
     # This trims it down to just the version number:
     #       1.14.2
-    echo "$(go version 2>/dev/null | head -n 1 | cut -d' ' -f3 | sed 's:go::')"
+    echo "$(go version 2> /dev/null | head -n 1 | cut -d' ' -f3 | sed 's:go::')"
 }
 
 pkg_format_cmd_version() {
index b11248eebde762aea5d67596a0191bb1231ef8bc..92eb6c904104d1dbb259c5e3f51ba3ba96670d4f 100644 (file)
@@ -33,7 +33,7 @@
         #       goreleaser 0.99.9 (rev abcdef0123)
         # This trims it down to just the version number:
         #       0.99.9
-        echo $(goreleaser --version 2>/dev/null | head -n 1 | cut -d ' ' -f 2)
+        echo $(goreleaser --version 2> /dev/null | head -n 1 | cut -d ' ' -f 2)
     }
 
 }
index 9d94565e039dbc42f05488b4dc0b9d37a0d7a874..f8650bb15161f6c5d019b6cb9751281c4a156888 100644 (file)
@@ -20,7 +20,7 @@ gprox
 # example output
 # 9:12PM INF Running proxy! from=https://localhost:9001 to=http://localhost:9000
 ```
-And you're off to the races! 
+And you're off to the races!
 
 That is... if you're app happens to be running on port `9000`. If not, no worries! Simply pass the target port option `-t, --target` and specify the port your app _is_ running on.
 
index fa581df7d6c21e3b09dc0c2f711c241aded7f06c..b24e7709cb6edcfc60c5a2ffbad0e893a52897d4 100644 (file)
@@ -34,7 +34,7 @@ IF (!(Test-Path -Path "$pkg_src_cmd"))
     # Enter tmp
     pushd .local\tmp
 
-        # Remove any leftover tmp cruft 
+        # Remove any leftover tmp cruft
         Remove-Item -Path ".\gprox-v*" -Recurse -ErrorAction Ignore
         Remove-Item -Path ".\gprox.exe" -Recurse -ErrorAction Ignore
 
@@ -46,7 +46,7 @@ IF (!(Test-Path -Path "$pkg_src_cmd"))
         # Windows BSD-tar handles zip. Imagine that.
         echo "Unpacking $pkg_download"
         & tar xf "$pkg_download"
-      
+
         # Settle unpacked archive into place
         echo "Install Location: $pkg_src_cmd"
         New-Item "$pkg_src_bin" -ItemType Directory
index ab63c8025f7cfdc188dd6b4b5f72426074c9a142..d78f519dadb25505fb3ee5042d6c6d48c4830e92 100644 (file)
@@ -33,7 +33,7 @@
         #       gprox 0.99.9 (rev abcdef0123)
         # This trims it down to just the version number:
         #       0.99.9
-        echo $(gprox --version 2>/dev/null | head -n 1 | cut -d ' ' -f 2)
+        echo $(gprox --version 2> /dev/null | head -n 1 | cut -d ' ' -f 2)
     }
 
 }
index a4b224d237e49dbd32a71db02f495ccde75f6847..218c0e3e17896f942be61805c34d0aa420995ef8 100644 (file)
     WEBI_SINGLE=true
 
     pkg_get_current_version() {
-      # 'hexyl --version' has output in this format:
-      #       hexyl 0.8.0
-      # This trims it down to just the version number:
-      #       0.8.0
-      echo $(hexyl --version 2>/dev/null | head -n 1 | cut -d' ' -f 2)
+        # 'hexyl --version' has output in this format:
+        #       hexyl 0.8.0
+        # This trims it down to just the version number:
+        #       0.8.0
+        echo $(hexyl --version 2> /dev/null | head -n 1 | cut -d' ' -f 2)
     }
 
     pkg_install() {
index 04bc4f772e147a943905562f4357ca3fa7425e3c..fce62f4bd579d6525ca4b237c85016e5066b5579 100644 (file)
@@ -9,5 +9,5 @@ pkg_get_current_version() {
     #       Hugo Static Site Generator v0.72.0-8A7EF3CF darwin/amd64 BuildDate: 2020-05-31T12:07:44Z
     # This trims it down to just the version number:
     #       0.72.0
-    echo "$(hugo version 2>/dev/null | head -n 1 | cut -d' ' -f5 | cut -d '-' -f1 | sed 's:^v::')"
+    echo "$(hugo version 2> /dev/null | head -n 1 | cut -d' ' -f5 | cut -d '-' -f1 | sed 's:^v::')"
 }
index 5a28ed450c10615d1dae0ba7872241b467f1abf0..a15919db85370110cd548eb44b430abd582ae7f5 100644 (file)
     WEBI_SINGLE=true
 
     pkg_get_current_version() {
-      # 'jq --version' has output in this format:
-      #       jq-1.6
-      # This trims it down to just the version number:
-      #       1.6
-      echo $(jq --version 2>/dev/null | head -n 1 | sed 's:^jq-::')
+        # 'jq --version' has output in this format:
+        #       jq-1.6
+        # This trims it down to just the version number:
+        #       1.6
+        echo $(jq --version 2> /dev/null | head -n 1 | sed 's:^jq-::')
     }
 }
index cac23c91fb03ce3661fa7eac0b230e5a7e1930fd..c2bbd0768ed22267c94411f5a71a2d1caf26adc1 100644 (file)
@@ -55,4 +55,4 @@ k9s --context coolCtx
 Start K9s in readonly mode - with all cluster modification commands disabled
 ```bash
 k9s --readonly
-```
\ No newline at end of file
+```
index 68aca77313cda02566bfc73f4763f7e2032cb33d..9a313a5133f4e0731033a1ec592b7cacdad6d755 100644 (file)
@@ -45,7 +45,7 @@ IF (!(Test-Path -Path "$pkg_src_cmd"))
 
         # Settle unpacked archive into place
         echo "Install Location: $pkg_src_cmd"
-        New-Item "$pkg_src_bin" -ItemType Directory -Force        
+        New-Item "$pkg_src_bin" -ItemType Directory -Force
         Move-Item -Path "k9s.exe" -Destination "$pkg_src_bin"
 
     # Exit tmp
index 62a050ed99a88e20e4d3be1e4a1d7edf6423e205..f027ea1904bf1ebbc373725579aa9f3cbb040653 100644 (file)
@@ -37,7 +37,7 @@
 
         # This trims it down to just the version number:
         # 0.24.2
-        echo $(k9s version 2>/dev/null | grep Version: | cut -d 'v' -f 2)
+        echo $(k9s version 2> /dev/null | grep Version: | cut -d 'v' -f 2)
     }
 
 }
index 61bb1ad38899ddfaea9ab34ca2365123a369e2f0..38b7fc7d1f6b16330b3a9599b0a52c7d4bbcf0b0 100644 (file)
@@ -34,7 +34,7 @@ function __init_keypairs() {
         #       keypairs v0.6.5 (7e6fd17) 2020-10-21T06:26:46Z
         # This trims it down to just the version number:
         #       0.6.5
-        echo "$(keypairs --version 2>/dev/null | head -n 1 | cut -d' ' -f2 | sed 's:^v::')"
+        echo "$(keypairs --version 2> /dev/null | head -n 1 | cut -d' ' -f2 | sed 's:^v::')"
     }
 
 }
index 85e24640c6954de73dbd42a36c81ec0a803cbe17..b30c92ddeaa867070b766ee1e01da4e7da124831 100644 (file)
@@ -45,7 +45,7 @@ IF (!(Test-Path -Path "$pkg_src_cmd"))
 
         # Settle unpacked archive into place
         echo "Install Location: $pkg_src_cmd"
-        New-Item "$pkg_src_bin" -ItemType Directory -Force        
+        New-Item "$pkg_src_bin" -ItemType Directory -Force
         Move-Item -Path "kubectx.exe" -Destination "$pkg_src_bin"
 
     # Exit tmp
index 40b180128941eee3813c71dc38a4a81fbc05a140..17b34b8b1c572d9bc3038f50bd721e3c17850515 100644 (file)
@@ -30,7 +30,7 @@
     # pkg_get_current_version is recommended, but (soon) not required
     pkg_get_current_version() {
         # 'kubectx' has no version parameter
-        echo       
+        echo
     }
 
 }
index 38ae4653717b789f3e5e84bc5c6b3d80b6d04d54..b7a40954900038bd6677b579fa787f91d62881f8 100644 (file)
@@ -45,7 +45,7 @@ IF (!(Test-Path -Path "$pkg_src_cmd"))
 
         # Settle unpacked archive into place
         echo "Install Location: $pkg_src_cmd"
-        New-Item "$pkg_src_bin" -ItemType Directory -Force        
+        New-Item "$pkg_src_bin" -ItemType Directory -Force
         Move-Item -Path "kubens.exe" -Destination "$pkg_src_bin"
 
     # Exit tmp
index 21b4ffeb7709bceb80f344558427ba92ed13e836..b4cdb1518c621ba87f559bb239f342128be0f673 100644 (file)
@@ -30,7 +30,7 @@
     # pkg_get_current_version is recommended, but (soon) not required
     pkg_get_current_version() {
         # 'kubens' has no version parameter
-        echo       
+        echo
     }
 
 }
index 009b8b2a3d34b384641ffb4a8665b22dee125fca..09276c951795c808069fedb699f3e5f2e23dc22f 100644 (file)
@@ -12,7 +12,7 @@ module.exports = function (request) {
     });
     return all;
   });
-}; 
+};
 
 if (module === require.main) {
   module.exports(require('@root/request')).then(function (all) {
index f488eb6b21697f8fef36362ebd98a66660f9b969..19d63eec491c2a28dba9521b47536417136d704d 100644 (file)
@@ -34,7 +34,7 @@ function __init_lf() {
         #       r21
         # This treats it as a minor version number:
         #       0.21.0
-        echo "0.$(lf --version 2>/dev/null | head -n 1 | cut -d' ' -f1 | sed 's:^r::').0"
+        echo "0.$(lf --version 2> /dev/null | head -n 1 | cut -d' ' -f1 | sed 's:^r::').0"
     }
 
 }
index 4b4358594aad9f24b26acb4444a74890dba4d0cc..bc74e442f192ba81222000ebd1b58a8c9f15636d 100644 (file)
@@ -34,7 +34,7 @@ IF (!(Test-Path -Path "$pkg_src_cmd"))
     # Enter tmp
     pushd .local\tmp
 
-        # Remove any leftover tmp cruft 
+        # Remove any leftover tmp cruft
         Remove-Item -Path ".\lsd-v*" -Recurse -ErrorAction Ignore
         Remove-Item -Path ".\lsd.exe" -Recurse -ErrorAction Ignore
 
@@ -42,7 +42,7 @@ IF (!(Test-Path -Path "$pkg_src_cmd"))
         # Windows BSD-tar handles zip. Imagine that.
         echo "Unpacking $pkg_download"
         & tar xf "$pkg_download"
-        
+
 
         # Settle unpacked archive into place
         echo "Install Location: $pkg_src_cmd"
index ac803155244314c19a5e83fec9e46659bb6c61bc..67d5876b428c50802d442cf8ffab726f44699e6d 100644 (file)
@@ -33,7 +33,7 @@
         #       lsd 0.17.0
         # This trims it down to just the version number:
         #       0.17.0
-        echo $(lsd --version 2>/dev/null | head -n 1 | cut -d ' ' -f 2)
+        echo $(lsd --version 2> /dev/null | head -n 1 | cut -d ' ' -f 2)
     }
 
 }
index 38485886b99413f29c84e351b07ffa61d03eb95a..d89e520283bda36ea15584c3290dd2afcf591d5a 100644 (file)
@@ -5,26 +5,26 @@ set -u
 
 webi_download
 
-pushd ~/Downloads 2>&1 >/dev/null
+pushd ~/Downloads 2>&1 > /dev/null
 
 if [ "Darwin" == "$(uname -s)" ]; then
-  curl -fsSL 'https://gist.githubusercontent.com/solderjs/8c36d132250163011c83bad8284975ee/raw/5a291955813743c20c12ca2d35c7b1bb34f8aecc/create-bootable-installer-for-os-x-el-capitan.sh' -o create-bootable-installer-for-os-x-el-capitan.sh
-  bash create-bootable-installer-for-os-x-el-capitan.sh
+    curl -fsSL 'https://gist.githubusercontent.com/solderjs/8c36d132250163011c83bad8284975ee/raw/5a291955813743c20c12ca2d35c7b1bb34f8aecc/create-bootable-installer-for-os-x-el-capitan.sh' -o create-bootable-installer-for-os-x-el-capitan.sh
+    bash create-bootable-installer-for-os-x-el-capitan.sh
 else
-  curl -fsSL 'https://gist.githubusercontent.com/solderjs/9834a45a6c21a41e8882698a00b55787/raw/c43061cd0c53ec675996f5cb66c7077e666aabd4/install-mac-tools.sh' -o install-mac-tools.sh
-  # TODO add xar to webinstall.dev
-  sudo apt install libz-dev # needed for xar
-  bash install-mac-tools.sh
-  echo "WARN: may need a restart for hfsplus to be recognized by the kernel"
+    curl -fsSL 'https://gist.githubusercontent.com/solderjs/9834a45a6c21a41e8882698a00b55787/raw/c43061cd0c53ec675996f5cb66c7077e666aabd4/install-mac-tools.sh' -o install-mac-tools.sh
+    # TODO add xar to webinstall.dev
+    sudo apt install libz-dev # needed for xar
+    bash install-mac-tools.sh
+    echo "WARN: may need a restart for hfsplus to be recognized by the kernel"
 
-  curl -fsSL 'https://gist.github.com/solderjs/04fd06560a8465a695337eb502f5b0e9/raw/0a06fb4dce91399d374d9a12958dabb48a9bd42a/empty.7400m.img.bz2' -o empty.7400m.img.bz2
+    curl -fsSL 'https://gist.github.com/solderjs/04fd06560a8465a695337eb502f5b0e9/raw/0a06fb4dce91399d374d9a12958dabb48a9bd42a/empty.7400m.img.bz2' -o empty.7400m.img.bz2
 
-  curl -fsSL 'https://gist.githubusercontent.com/solderjs/9834a45a6c21a41e8882698a00b55787/raw/c43061cd0c53ec675996f5cb66c7077e666aabd4/linux-create-bootable-macos-recovery-image.sh' -o linux-create-bootable-macos-recovery-image.sh
-  bash linux-create-bootable-macos-recovery-image.sh
+    curl -fsSL 'https://gist.githubusercontent.com/solderjs/9834a45a6c21a41e8882698a00b55787/raw/c43061cd0c53ec675996f5cb66c7077e666aabd4/linux-create-bootable-macos-recovery-image.sh' -o linux-create-bootable-macos-recovery-image.sh
+    bash linux-create-bootable-macos-recovery-image.sh
 fi
 
 echo ""
 echo "Created $HOME/Downloads/el-capitan.iso"
 echo ""
 
-popd 2>&1 >/dev/null
+popd 2>&1 > /dev/null
index 39e5a66d561d659b023e77e02bd64c5b5c799b3b..033eb0b99a26834b40615c7741bd540e3260ae98 100644 (file)
@@ -33,7 +33,7 @@ function __init_mutagen() {
         #       0.11.8
         # This trims it down to just the version number:
         #       0.11.8
-        echo $(mutagen version 2>/dev/null | head -n 1 | cut -d ' ' -f1)
+        echo $(mutagen version 2> /dev/null | head -n 1 | cut -d ' ' -f1)
     }
 
 }
index 2965145c4b0088052e418c0cc91a675508f7274a..0d261e5eaa149897f90b78a9b7c03ddb5a8d20a6 100644 (file)
@@ -5,7 +5,7 @@
     set -u
 
     rm -f "$HOME/.local/bin/myip"
-    webi_download  "$WEBI_HOST/packages/myip/myip.sh" "$HOME/.local/bin/myip"
+    webi_download "$WEBI_HOST/packages/myip/myip.sh" "$HOME/.local/bin/myip"
     chmod a+x "$HOME/.local/bin/myip"
 
     "$HOME/.local/bin/myip"
index 1fb90eeacd11888687a6cbf18fe93def420c25d7..ca57d6c493ba5ceab3a72dc07741c27393817b9a 100644 (file)
@@ -7,16 +7,16 @@ function __show_my_ip {
     ipv4=$(curl -s https://api.ipify.org || true)
     ipv6=$(curl -s https://api6.ipify.org || true)
 
-    if [[ -n "${ipv4}" ]]; then
+    if [[ -n ${ipv4} ]]; then
         echo "IPv4 (A)   : $ipv4"
     fi
 
-    if [[ -n "$ipv6" ]] && [[ "ipv6" != "ipv4" ]]; then
+    if [[ -n $ipv6 ]] && [[ "ipv6" != "ipv4" ]]; then
         echo "IPv6 (AAAA): $ipv6"
     fi
 
-    if [[ -z "$ipv4" ]] && [[ -z "ipv6" ]]; then
-        >&2 echo "error: no public IP address"
+    if [[ -z $ipv4 ]] && [[ -z "ipv6" ]]; then
+        echo >&2 "error: no public IP address"
     fi
 }
 
index 35ecc2c169e2ffdcc3928a96960a417bfa163c64..668c7585a3ccbdac109632e09a6d36f7f9a5437f 100644 (file)
@@ -7,20 +7,29 @@ New-Item -Path "$my_fontdir" -ItemType Directory -Force
 IF (!(Test-Path -Path "$my_fontdir\$my_nerdfont_otf"))
 {
 
-    & curl.exe -fsSLo "$my_nerdfont_otf" 'https://github.com/ryanoasis/nerd-fonts/raw/master/patched-fonts/DroidSansMono/complete/Droid%20Sans%20Mono%20Nerd%20Font%20Complete%20Windows%20Compatible.otf'
+    & curl.exe -fsSLo "$my_nerdfont_otf" 'https://github.com/ryanoasis/nerd-fonts/raw/master/patched-fonts/DroidSansMono/complete
+/Droid%20Sans%20Mono%20Nerd%20Font%20Complete%20Windows%20Compatible.otf'
     & move "$my_nerdfont_otf" "$my_fontdir"
 }
 
 
-# See https://superuser.com/a/1306464/73857
 pushd "$my_fontdir"
-Add-Type -Name Session -Namespace "" -Member @"
-[DllImport("gdi32.dll")]
-public static extern int AddFontResource(string filePath);
-"@
 
-$null = foreach($font in Get-ChildItem -Recurse -Include *.ttf, *.otf) {
-    [Session]::AddFontResource($font.FullName)
+$regFontPath = "\SOFTWARE\Microsoft\Windows NT\CurrentVersion\Fonts"
+$fontRegistryPath = "HKCU:$regFontPath"
+$fontFiles = Get-ChildItem -Recurse -Include *.ttf, *.otf
+$null = foreach($font in $fontFiles) {
+    # See https://github.com/PPOSHGROUP/PPoShTools/blob/master/PPoShTools/Public/FileSystem/Add-Font.ps1#L80
+    Add-Type -AssemblyName System.Drawing
+    $objFontCollection = New-Object System.Drawing.Text.PrivateFontCollection
+    $objFontCollection.AddFontFile($font.FullName)
+    $FontName = $objFontCollection.Families.Name
+
+    $regTest = Get-ItemProperty -Path $fontRegistryPath -Name "*$FontName*" -ErrorAction SilentlyContinue
+    if (-not ($regTest)) {
+        New-ItemProperty -Name $FontName -Path $fontRegistryPath -PropertyType string -Value $font.FullName
+        Write-Output "Registering font {$($font.Name)} in registry with name {$FontName}"
+    }
 }
 
 echo "Installed $my_nerdfont_otf to $my_fontdir"
index 446a22f770148c2e0ba2ffd44de5104b220b4fdb..b281c8ffc78a33f17c5143c2a640cab731e05ef8 100644 (file)
@@ -1,25 +1,24 @@
 install() {
-  set -e
-  set -u
+    set -e
+    set -u
 
-  my_nerdfont="Droid Sans Mono for Powerline Nerd Font Complete.otf"
-  curl -fsSLo "$my_nerdfont" \
-    'https://github.com/ryanoasis/nerd-fonts/raw/master/patched-fonts/DroidSansMono/complete/Droid%20Sans%20Mono%20Nerd%20Font%20Complete.otf'
+    my_nerdfont="Droid Sans Mono for Powerline Nerd Font Complete.otf"
+    curl -fsSLo "$my_nerdfont" \
+        'https://github.com/ryanoasis/nerd-fonts/raw/master/patched-fonts/DroidSansMono/complete/Droid%20Sans%20Mono%20Nerd%20Font%20Complete.otf'
 
+    my_fontdir=""
+    if [ -e "$HOME/Library/Fonts" ]; then
+        # OS X
+        mv "$my_nerdfont" ~/Library/Fonts/
+        my_fontdir="~/Library/Fonts/"
+    else
+        # Linux
+        mkdir -p ~/.local/share/fonts
+        mv "$my_nerdfont" ~/.local/share/fonts/
+        my_fontdir="~/.local/share/fonts/"
+    fi
 
-  my_fontdir=""
-  if [ -e "$HOME/Library/Fonts" ]; then
-    # OS X
-    mv "$my_nerdfont" ~/Library/Fonts/
-    my_fontdir="~/Library/Fonts/"
-  else
-    # Linux
-    mkdir -p ~/.local/share/fonts
-    mv "$my_nerdfont" ~/.local/share/fonts/
-    my_fontdir="~/.local/share/fonts/"
-  fi
-
-  echo "Installed $my_nerdfont to $my_fontdir"
+    echo "Installed $my_nerdfont to $my_fontdir"
 }
 
 install
index add502255560d7ec12a4334a99127157be05f64f..ecc20ddf859f14a56097a28ac7e3a934175a44a1 100644 (file)
@@ -17,7 +17,7 @@ pkg_get_current_version() {
     #       v12.8.0
     # This trims it down to just the version number:
     #       12.8.0
-    echo "$(node --version 2>/dev/null | head -n 1 | cut -d' ' -f1 | sed 's:^v::')"
+    echo "$(node --version 2> /dev/null | head -n 1 | cut -d' ' -f1 | sed 's:^v::')"
 }
 
 pkg_install() {
index 4f48056a1314e0bf25c584bb517d847b7667cf03..709e9106436e603b90700a5934527d827b1fe7b1 100644 (file)
@@ -34,7 +34,7 @@ IF (!(Test-Path -Path "$pkg_src_cmd"))
     # Enter tmp
     pushd .local\tmp
 
-        # Remove any leftover tmp cruft 
+        # Remove any leftover tmp cruft
         Remove-Item -Path ".\pandoc-v*" -Recurse -ErrorAction Ignore
         Remove-Item -Path ".\pandoc.exe" -Recurse -ErrorAction Ignore
 
@@ -42,7 +42,7 @@ IF (!(Test-Path -Path "$pkg_src_cmd"))
         # Windows BSD-tar handles zip. Imagine that.
         echo "Unpacking $pkg_download"
         & tar xf "$pkg_download"
-       
+
 
         # Settle unpacked archive into place
         echo "Install Location: $pkg_src_cmd"
index b69a5857e9780032e38866cfc08b57ed696ba420..5141a0fc10b9c16921fdbb2faccca3dbd5a34746 100644 (file)
@@ -38,6 +38,6 @@
         # for a particular purpose.
         # This trims it down to just the version number:
         #       2.10.1
-      echo $(pandoc --version 2>/dev/null | head -n 1 | cut -d ' ' -f 2)
+        echo $(pandoc --version 2> /dev/null | head -n 1 | cut -d ' ' -f 2)
     }
 }
index 9fc604c478268d3f4403a414d8ec142573cd0076..0d93ef55750731596f17e52d028eff33d4b0d2ef 100644 (file)
@@ -7,7 +7,7 @@ pkg_cmd_name="pathman"
 WEBI_SINGLE=true
 
 pkg_get_current_version() {
-    echo $(pathman version 2>/dev/null | head -n 1 | cut -d ' ' -f2 | sed 's:^v::')
+    echo $(pathman version 2> /dev/null | head -n 1 | cut -d ' ' -f2 | sed 's:^v::')
 }
 
 pkg_done_message() {
index a8769f553560c54eec72a71b5b1493b5bf72f40a..f0336fed9f1cb2bde0a2b56faad6a301333751a9 100644 (file)
@@ -11,7 +11,7 @@ pkg_get_current_version() {
     #       postgres (PostgreSQL) 10.13
     # This trims it down to just the version number:
     #       10.13
-    echo "$(postgres --version 2>/dev/null | head -n 1 | cut -d' ' -f3)"
+    echo "$(postgres --version 2> /dev/null | head -n 1 | cut -d' ' -f3)"
 }
 
 pkg_install() {
@@ -42,11 +42,11 @@ pkg_post_install() {
     chmod 0700 "$POSTGRES_DATA_DIR"
 
     if [ ! -f "$POSTGRES_DATA_DIR/postgresql.conf" ]; then
-      echo "postgres" > "$PWFILE"
-      "$pkg_src/bin/initdb" \
-        -D "$POSTGRES_DATA_DIR/" \
-        --username postgres --pwfile "$PWFILE" \
-        --auth-local=password --auth-host=password
+        echo "postgres" > "$PWFILE"
+        "$pkg_src/bin/initdb" \
+            -D "$POSTGRES_DATA_DIR/" \
+            --username postgres --pwfile "$PWFILE" \
+            --auth-local=password --auth-host=password
     fi
 }
 
@@ -63,4 +63,3 @@ pkg_done_message() {
     echo "    psql 'postgres://postgres:postgres@localhost:5432/postgres'"
     echo ""
 }
-
index ac1a36c673faa7a83316ed824b65918e51fb7354..5a81b9bbecd98e009d9e12907eaabc208bc85cde 100644 (file)
@@ -14,7 +14,7 @@
         #       PowerShell 7.0.2
         # This trims it down to just the version number:
         #       7.0.2
-        echo "$(pwsh --version 2>/dev/null | head -n 1 | cut -d' ' -f2)"
+        echo "$(pwsh --version 2> /dev/null | head -n 1 | cut -d' ' -f2)"
     }
 
     pkg_install() {
@@ -23,9 +23,9 @@
         mv ./* "$pkg_src"
 
         # symlink powershell to pwsh
-        pushd "$pkg_src" >/dev/null
-            ln -s pwsh powershell
-        popd >/dev/null
+        pushd "$pkg_src" > /dev/null
+        ln -s pwsh powershell
+        popd > /dev/null
     }
 
     pkg_link() {
index 86e8028ac96000f27adc007a95d5ecf081e856a5..7df196f687cff355053b8c08012e7e55461f51e0 100644 (file)
@@ -1,6 +1,6 @@
 #!/bin/bash
 
-if [ -z "$(npm --version 2>/dev/null)" ]; then
+if [ -z "$(npm --version 2> /dev/null)" ]; then
     webi node
     export PATH="$HOME/.local/opt/node/bin:$PATH"
 fi
index 0b53630c1c3ce0a30f78d59cd9d2c41e99502314..98b1a3e6846ff74b34f6bba5e8323c4140cb36c1 100644 (file)
@@ -9,8 +9,8 @@ function __init_pyenv() {
     if [ ! -f ~/.bashrc ] || [ -z "$(grep 'pyenv init' ~/.bashrc)" ]; then
         echo '' >> ~/.bashrc
         echo '# added by Webi for pyenv' >> ~/.bashrc
-        echo 'eval "$(pyenv init -)"'>> ~/.bashrc
-        echo 'eval "$(pyenv virtualenv-init -)"'>> ~/.bashrc
+        echo 'eval "$(pyenv init -)"' >> ~/.bashrc
+        echo 'eval "$(pyenv virtualenv-init -)"' >> ~/.bashrc
     fi
 
     if [ -n "$(command -v zsh)" ]; then
index d00f4044e027e25755dc88903d2f122701859b28..c116b8cc1980d459d1ee65369054d3a9d837a712 100644 (file)
@@ -36,7 +36,7 @@ function __init_rclone() {
         #       - go version: go1.15.7
         # This trims it down to just the version number:
         #       1.54.0
-        echo "$(rclone --version 2>/dev/null | head -n 1 | cut -d' ' -f2 | sed 's:^v::')"
+        echo "$(rclone --version 2> /dev/null | head -n 1 | cut -d' ' -f2 | sed 's:^v::')"
     }
 
 }
index 32581fd7a5d49dd1d83c5504af4030634372c9ae..f6da869fdb49843211cdb171f5fdcc48daddcda8 100644 (file)
@@ -34,7 +34,7 @@ IF (!(Test-Path -Path "$pkg_src_cmd"))
     # Enter tmp
     pushd .local\tmp
 
-        # Remove any leftover tmp cruft 
+        # Remove any leftover tmp cruft
         Remove-Item -Path ".\ripgrep-v*" -Recurse -ErrorAction Ignore
         Remove-Item -Path ".\rg.exe" -Recurse -ErrorAction Ignore
 
@@ -42,7 +42,7 @@ IF (!(Test-Path -Path "$pkg_src_cmd"))
         # Windows BSD-tar handles zip. Imagine that.
         echo "Unpacking $pkg_download"
         & tar xf "$pkg_download"
-       
+
 
         # Settle unpacked archive into place
         echo "Install Location: $pkg_src_cmd"
index 3646e036dedefb73fbd0e8198e4e4eaad98943dd..f97939963de3c7fc1a84c5e0fd9202344e5673a8 100644 (file)
@@ -33,6 +33,6 @@
         #       +SIMD -AVX (runtime)
         # This trims it down to just the version number:
         #       12.1.1
-      echo $(rg --version 2>/dev/null | head -n 1 | cut -d ' ' -f 2)
+        echo $(rg --version 2> /dev/null | head -n 1 | cut -d ' ' -f 2)
     }
 }
index 801cd10a7f82f8b1e648dbafe1469d0f8c40f4d2..eca55d31b4d0c8986fd9b44e026c99616f351b4f 100644 (file)
@@ -26,7 +26,7 @@ function __init_sass() {
     }
 
     pkg_get_current_version() {
-        echo $(sass --version 2>/dev/null | head -n 1 | cut -d ' ' -f 2)
+        echo $(sass --version 2> /dev/null | head -n 1 | cut -d ' ' -f 2)
     }
 
 }
index 3cebf381371aeb3b5dbbb54d2d556ced42fb5ee8..ee6693bf1bde03ebb30693376e7df01e38f4b120 100644 (file)
@@ -34,7 +34,7 @@ function __init_sclient() {
         #       sclient 1.3.3 (455db50) 2020-12-02T22:05:35Z
         # This trims it down to just the version number:
         #       1.3.3
-        echo "$(sclient --version 2>/dev/null | head -n 1 | cut -d' ' -f2 | sed 's:^v::')"
+        echo "$(sclient --version 2> /dev/null | head -n 1 | cut -d' ' -f2 | sed 's:^v::')"
     }
 
 }
index 8d170ca891d31a19164ed21189d60ef92c96ddc5..ca86b8abc098854db25a22d5841cee4660d556a8 100644 (file)
@@ -42,7 +42,7 @@ IF (!(Test-Path -Path "$pkg_src_cmd"))
         # Windows BSD-tar handles zip. Imagine that.
         echo "Unpacking $pkg_download"
         & tar xf "$pkg_download"
-        
+
 
         # Settle unpacked archive into place
         echo "Install Location: $pkg_src_cmd"
index af2bba1a19fc061dbaf3364d46cc8fc2a694912f..fb4ea8a9cbf3aa8061afbd5a619c4d3f683fef4e 100644 (file)
@@ -23,7 +23,7 @@
         # ~/.local/opt/sd-v0.99.9/bin
         mkdir -p "$(dirname $pkg_src_cmd)"
         # mv ./sd-*/sd "$pkg_src_cmd"
-       mv sd-* "$pkg_src_cmd"
+        mv sd-* "$pkg_src_cmd"
     }
 
     # pkg_get_current_version is recommended, but (soon) not required
@@ -32,8 +32,7 @@
         #       sd 0.99.9 (rev abcdef0123)
         # This trims it down to just the version number:
         #       0.99.9
-        echo $(sd --version 2>/dev/null | head -n 1 | cut -d ' ' -f 2)
+        echo $(sd --version 2> /dev/null | head -n 1 | cut -d ' ' -f 2)
     }
 
-
 }
index 3602521aac8b9fcdf4a4f77b5d1571e3ab067641..ae14c59ed0418d5a418149ef6020ddd79b9881a4 100644 (file)
@@ -34,7 +34,7 @@ function __init_serviceman() {
         #       serviceman v0.8.0 (f3ab547) 2020-12-02T16:19:10-07:00
         # This trims it down to just the version number:
         #       0.8.0
-        echo "$(serviceman --version 2>/dev/null | head -n 1 | cut -d' ' -f2 | sed 's:^v::')"
+        echo "$(serviceman --version 2> /dev/null | head -n 1 | cut -d' ' -f2 | sed 's:^v::')"
     }
 
 }
index 90176a8cc3f7832921ad18b38dcfb069e91eed13..016b420cdc62143cff0b14cf316fc2bb7a7a1347 100644 (file)
@@ -1,30 +1,30 @@
 #!/bin/bash
 
 {
-       set -e
-       set -u
+    set -e
+    set -u
 
-       ##################
-       # Install shfmt #
-       ##################
+    ##################
+    # Install shfmt #
+    ##################
 
-       pkg_cmd_name="shfmt"
+    pkg_cmd_name="shfmt"
 
-       pkg_dst_cmd="$HOME/.local/bin/shfmt"
-       pkg_dst="$pkg_dst_cmd"
+    pkg_dst_cmd="$HOME/.local/bin/shfmt"
+    pkg_dst="$pkg_dst_cmd"
 
-       pkg_src_cmd="$HOME/.local/opt/shfmt-v$WEBI_VERSION/bin/shfmt"
-       pkg_src_dir="$HOME/.local/opt/shfmt-v$WEBI_VERSION"
-       pkg_src="$pkg_src_cmd"
+    pkg_src_cmd="$HOME/.local/opt/shfmt-v$WEBI_VERSION/bin/shfmt"
+    pkg_src_dir="$HOME/.local/opt/shfmt-v$WEBI_VERSION"
+    pkg_src="$pkg_src_cmd"
 
-       pkg_install() {
-               # ~/.local/opt/shfmt-v0.99.9/bin
-               mkdir -p "$(dirname $pkg_src_cmd)"
-               mv ./"$pkg_cmd_name"* "$pkg_src_cmd"
-       }
+    pkg_install() {
+        # ~/.local/opt/shfmt-v0.99.9/bin
+        mkdir -p "$(dirname $pkg_src_cmd)"
+        mv ./"$pkg_cmd_name"* "$pkg_src_cmd"
+    }
 
-       pkg_get_current_version() {
-               echo $(shfmt --version 2>/dev/null | head -n 1 | cut -d ' ' -f 2)
-       }
+    pkg_get_current_version() {
+        echo $(shfmt --version 2> /dev/null | head -n 1 | cut -d ' ' -f 2)
+    }
 
 }
index 805f789822bfa96bbb17efdce038874746edce1d..db9dc3f8c1c1abb187c816c495dce7ae1fd436bf 100644 (file)
@@ -7,7 +7,7 @@
     MY_CMD="ssh-pubkey"
 
     rm -f "$HOME/.local/bin/$MY_CMD"
-    webi_download  "$WEBI_HOST/packages/$MY_CMD/$MY_CMD.sh" "$HOME/.local/bin/$MY_CMD"
+    webi_download "$WEBI_HOST/packages/$MY_CMD/$MY_CMD.sh" "$HOME/.local/bin/$MY_CMD"
     chmod a+x "$HOME/.local/bin/$MY_CMD"
 
     # run the command
index 08b3f8a2d84170db91a9ecada347de43eb4a11ca..811377f243b7515496bbab09b60fb71466b8d707 100644 (file)
@@ -1,7 +1,7 @@
 {
     rm -f "$HOME/.local/bin/ssh-pubkey" "$HOME/.local/bin/ssh-setpass" "$HOME/.local/bin/ssh-adduser"
-    webi_download  "$WEBI_HOST/packages/ssh-utils/ssh-pubkey.sh" "$HOME/.local/bin/ssh-pubkey"
-    webi_download  "$WEBI_HOST/packages/ssh-utils/ssh-setpass.sh" "$HOME/.local/bin/ssh-setpass"
-    webi_download  "$WEBI_HOST/packages/ssh-utils/ssh-adduser.sh" "$HOME/.local/bin/ssh-adduser"
+    webi_download "$WEBI_HOST/packages/ssh-utils/ssh-pubkey.sh" "$HOME/.local/bin/ssh-pubkey"
+    webi_download "$WEBI_HOST/packages/ssh-utils/ssh-setpass.sh" "$HOME/.local/bin/ssh-setpass"
+    webi_download "$WEBI_HOST/packages/ssh-utils/ssh-adduser.sh" "$HOME/.local/bin/ssh-adduser"
     chmod a+x "$HOME/.local/bin/ssh-"*
 }
index e3ee4ff4edf73b55f2794ea7b0097219d070a5bd..e14efb8aacfd46209b07c04e62cc90f03dd2eb1a 100644 (file)
@@ -8,8 +8,8 @@
 
     # TODO would $EUID be better?
     if [ "root" != "$(whoami)" ]; then
-      echo "webi adduser: running user is already a non-root user"
-      exit 0
+        echo "webi adduser: running user is already a non-root user"
+        exit 0
     fi
 
     #apt-get -y update
@@ -41,8 +41,8 @@
 
     # Install webi for the new 'app' user
     WEBI_HOST=${WEBI_HOST:-"https://webinstall.dev"}
-    sudo -i -u "$my_name" bash -c "curl -fsSL '$WEBI_HOST/webi' | bash" \
-        || sudo -i -u "$my_name" bash -c "wget -q -O - '$WEBI_HOST/webi' | bash"
+    sudo -i -u "$my_name" bash -c "curl -fsSL '$WEBI_HOST/webi' | bash" ||
+        sudo -i -u "$my_name" bash -c "wget -q -O - '$WEBI_HOST/webi' | bash"
 
     # TODO ensure that ssh-password login is off
 
index ed5c345aaa91b472414338ea12ecd1d482b15308..d15cac53ef4b88fa04ab6ac7e86b766c0fd31213 100644 (file)
 
     if [ ! -f "$HOME/.ssh/id_rsa" ]; then
         ssh-keygen -b 2048 -t rsa -f "$HOME/.ssh/id_rsa" -q -N ""
-        >&2 echo ""
+        echo >&2 ""
     fi
 
     if [ ! -f "$HOME/.ssh/id_rsa.pub" ]; then
         ssh-keygen -y -f "$HOME/.ssh/id_rsa" > "$HOME/.ssh/id_rsa.pub"
-        >&2 echo ""
+        echo >&2 ""
     fi
 
     # TODO use the comment (if any) for the name of the file
-    >&2 echo ""
-    >&2 echo "~/Downloads/id_rsa.$(whoami).pub":
-    >&2 echo ""
+    echo >&2 ""
+    echo >&2 "~/Downloads/id_rsa.$(whoami).pub":
+    echo >&2 ""
     rm -f "$HOME/Downloads/id_rsa.$(whoami).pub"
     cp -r "$HOME/.ssh/id_rsa.pub" "$HOME/Downloads/id_rsa.$(whoami).pub"
     cat "$HOME/Downloads/id_rsa.$(whoami).pub"
-    >&2 echo ""
+    echo >&2 ""
 }
index 6b370606fd7328b6849f15d80548992f87e6ade1..4724b3dc911bcadab365168c4e16b59953070bc8 100644 (file)
@@ -4,8 +4,8 @@ set -u
 {
 
     if [ -z "$(command -v sudo)" ]; then
-        >&2 echo "Error: on Linux and BSD you should install sudo via the native package manager"
-        >&2 echo "       for example: apt install -y sudo"
+        echo >&2 "Error: on Linux and BSD you should install sudo via the native package manager"
+        echo >&2 "       for example: apt install -y sudo"
         exit 1
     else
         echo "'sudo' already installed"
index 959964862d60ba1b97ae91e505ad408f18083398..96bcca7c8b965f51b71047169bb6d4fb35725925 100644 (file)
@@ -35,7 +35,7 @@ function __init_syncthing() {
         #       syncthing v1.12.1 "Fermium Flea" (go1.15.5 darwin-amd64) teamcity@build.syncthing.net 2020-12-06 12:46:27 UTC
         # This trims it down to just the version number:
         #       1.12.1
-        echo "$(syncthing --version 2>/dev/null | head -n 1 | cut -d' ' -f2 | sed 's:^v::')"
+        echo "$(syncthing --version 2> /dev/null | head -n 1 | cut -d' ' -f2 | sed 's:^v::')"
     }
 }
 
index 4cb252ff18be98199e40c6e8af83428915d5e4b8..caf161ae42199919f9490e05c94eb7d840272a36 100644 (file)
@@ -18,7 +18,7 @@ function __init_vim_ale() {
         curl -fsSL -o ~/.vim/plugins/ale.vim "$WEBI_HOST/packages/vim-ale/ale.vim"
     fi
 
-    if ! grep 'source.*plugins.ale.vim' -r ~/.vimrc >/dev/null 2>/dev/null; then
+    if ! grep 'source.*plugins.ale.vim' -r ~/.vimrc > /dev/null 2> /dev/null; then
         set +e
         mkdir -p ~/.vim/plugins
         printf '\n" ALE: reasonable defaults from webinstall.dev/vim-ale\n' >> ~/.vimrc
index 3450f9b57556aad48158988e31734f3221e9941b..ea8bcd00e7864dc9fc2147edbc8eac6dcd7c197a 100644 (file)
@@ -1,24 +1,24 @@
 # mostly lightweight, or essential
 webi \
-  vim-leader \
-  vim-shell \
-  vim-sensible \
-  vim-viminfo \
-  vim-lastplace \
-  vim-spell \
-  vim-ale \
-  vim-prettier \
-  vim-whitespace
+    vim-leader \
+    vim-shell \
+    vim-sensible \
+    vim-viminfo \
+    vim-lastplace \
+    vim-spell \
+    vim-ale \
+    vim-prettier \
+    vim-whitespace
 
 # requires special hardware (mouse) or software (nerdfont)
 webi \
-  vim-gui \
-  vim-nerdtree \
-  nerdfont \
-  vim-devicons
+    vim-gui \
+    vim-nerdtree \
+    nerdfont \
+    vim-devicons
 
 if [ -n "$(command -v go)" ]; then
-  webi vim-go
+    webi vim-go
 fi
 
 # done
index 68d96b7faec27aad8df46f5e7b80c40ceb41ab08..ce09ef8442aa4daa168bd6a905b3c0440b4802e0 100644 (file)
@@ -18,7 +18,7 @@ function __init_vim_devicons() {
         curl -fsSL -o ~/.vim/plugins/devicons.vim "$WEBI_HOST/packages/vim-devicons/devicons.vim"
     fi
 
-    if ! grep 'source.*plugins.devicons.vim' -r ~/.vimrc >/dev/null 2>/dev/null; then
+    if ! grep 'source.*plugins.devicons.vim' -r ~/.vimrc > /dev/null 2> /dev/null; then
         set +e
         mkdir -p ~/.vim/plugins
         printf '\n" devicons: reasonable defaults from webinstall.dev/vim-devicons\n' >> ~/.vimrc
index bc34f2ecad64ef928840223705712535765d006b..ec453e55e354b398a30c6a155bb7e9e1d357ec35 100644 (file)
@@ -1,14 +1,14 @@
 webi \
-  vim-leader \
-  vim-shell \
-  vim-sensible \
-  vim-viminfo \
-  vim-lastplace \
-  vim-spell \
-  vim-ale \
-  vim-prettier \
-  vim-whitespace \
-  # done
+    vim-leader \
+    vim-shell \
+    vim-sensible \
+    vim-viminfo \
+    vim-lastplace \
+    vim-spell \
+    vim-ale \
+    vim-prettier \
+    vim-whitespace
+# done
 
 printf '\n'
 printf 'Suggestion: Also check out these great plugins:\n'
index fa9e82c03ef396fd91674e139cb86f819eb401fa..90f81895cbc8a55e3134579cbf9aa85305ec161e 100644 (file)
@@ -18,7 +18,7 @@ function __init_vim_lastplace() {
         curl -fsSL -o ~/.vim/plugins/lastplace.vim "$WEBI_HOST/packages/vim-lastplace/lastplace.vim"
     fi
 
-    if ! grep 'source.*plugins.lastplace.vim' -r ~/.vimrc >/dev/null 2>/dev/null; then
+    if ! grep 'source.*plugins.lastplace.vim' -r ~/.vimrc > /dev/null 2> /dev/null; then
         set +e
         mkdir -p ~/.vim/plugins
         printf '\n" lastplace: explicit defaults from webinstall.dev/vim-lastplace\n' >> ~/.vimrc
index 85a620c43456df24c01ec476c3841eda9bdb12f9..193560d396ff5036d73c42579eae51a61855870b 100644 (file)
@@ -18,7 +18,7 @@ function __init_vim_nerdtree() {
         curl -fsSL -o ~/.vim/plugins/nerdtree.vim "$WEBI_HOST/packages/vim-nerdtree/nerdtree.vim"
     fi
 
-    if ! grep 'source.*plugins.nerdtree.vim' -r ~/.vimrc >/dev/null 2>/dev/null; then
+    if ! grep 'source.*plugins.nerdtree.vim' -r ~/.vimrc > /dev/null 2> /dev/null; then
         set +e
         mkdir -p ~/.vim/plugins
         printf '\n" NERDTree: reasonable defaults from webinstall.dev/vim-nerdtree\n' >> ~/.vimrc
index eebd1fa56126d779a44a92d18cb07905b4d09974..a23337ad45685a9de8851456e05ddeaf9bab7e7d 100644 (file)
@@ -9,8 +9,8 @@ function __init_vim_prettier() {
     git clone --depth=1 https://github.com/prettier/vim-prettier.git "$HOME/.vim/pack/plugins/start/vim-prettier"
 
     if [ -z "$(command -v node)" ]; then
-      export PATH="$HOME/.local/opt/node/bin:$HOME/.local/bin:${PATH}"
-      webi node
+        export PATH="$HOME/.local/opt/node/bin:$HOME/.local/bin:${PATH}"
+        webi node
     fi
     npm install -g prettier@2
 
@@ -24,7 +24,7 @@ function __init_vim_prettier() {
         curl -fsSL -o ~/.vim/plugins/prettier.vim "$WEBI_HOST/packages/vim-prettier/prettier.vim"
     fi
 
-    if ! grep 'source.*plugins.prettier.vim' -r ~/.vimrc >/dev/null 2>/dev/null; then
+    if ! grep 'source.*plugins.prettier.vim' -r ~/.vimrc > /dev/null 2> /dev/null; then
         set +e
         mkdir -p ~/.vim/plugins
         printf '\n" Prettier: reasonable defaults from webinstall.dev/vim-prettier\n' >> ~/.vimrc
index 4f276a27590014a2a76257933c5e889b54204696..6b8aeddd761f61c8a6a7dc7696d8bc53aecbb875 100644 (file)
@@ -9,8 +9,8 @@ function __init_vim_shfmt() {
     git clone --depth=1 https://github.com/z0mbix/vim-shfmt.git "$HOME/.vim/pack/plugins/start/vim-shfmt"
 
     if [ -z "$(command -v shfmt)" ]; then
-      export PATH="$HOME/.local/bin:${PATH}"
-      webi shfmt
+        export PATH="$HOME/.local/bin:${PATH}"
+        webi shfmt
     fi
 
     if [ ! -f "$HOME/.vimrc" ]; then
@@ -23,7 +23,7 @@ function __init_vim_shfmt() {
         curl -fsSL -o ~/.vim/plugins/shfmt.vim "$WEBI_HOST/packages/vim-shfmt/shfmt.vim"
     fi
 
-    if ! grep 'source.*plugins.shfmt.vim' -r ~/.vimrc >/dev/null 2>/dev/null; then
+    if ! grep 'source.*plugins.shfmt.vim' -r ~/.vimrc > /dev/null 2> /dev/null; then
         set +e
         mkdir -p ~/.vim/plugins
         printf '\n" shfmt: reasonable defaults from webinstall.dev/vim-shfmt\n' >> ~/.vimrc
index e3e3702d254d2621cfe8e96b45373f76831c6867..dd0bf5ba16008fa8e1c0f2a2bab7dd10dca6efef 100644 (file)
@@ -8,13 +8,13 @@
     my_size=${1:-$default_size}
 
     if [ "0" != "$EUID" ] && [ "0" != "$UID" ]; then
-      echo Usage:
-      echo '        sudo env PATH="$PATH" vps-addswap' $my_size
-      exit 1
+        echo Usage:
+        echo '        sudo env PATH="$PATH" vps-addswap' $my_size
+        exit 1
     fi
 
     if [ -f "/var/swapfile" ]; then
-      swapoff /var/swapfile
+        swapoff /var/swapfile
     fi
 
     # Allocate a swapfile
index c51a649b13296d44bc236b257629019f2481fe43..99d4f0db286e64b20379983160f1b8d5edb2e3c7 100644 (file)
     # pkg_get_current_version is recommended, but (soon) not required
     pkg_get_current_version() {
         # 'watchexec --version' has output in this format:
-        #       watchexec 0.99.9 
+        #       watchexec 0.99.9
         # This trims it down to just the version number:
         #       0.99.9
-        echo $(watchexec --version 2>/dev/null | head -n 1 | cut -d ' ' -f 2)
+        echo $(watchexec --version 2> /dev/null | head -n 1 | cut -d ' ' -f 2)
     }
 
 }
index 6531614baa1dfd9a2027b93165fcc197d190f351..0c26ab455d14dd16e89715e9e0b735f6e0060f48 100644 (file)
@@ -5,17 +5,17 @@
 
 {
 
-if [ -f "$HOME/.local/bin/webi" ]; then
-  set +e
-  cur_webi="$(command -v webi)"
-  set -e
-  if [ -z "$cur_webi" ]; then
-    webi_path_add "$HOME/.local/bin"
-  fi
-  echo "Installed 'webi'"
-else
-  # for when this file is run on its own, not from webinstall.dev
-  echo "Install any other package via https://webinstall.dev and webi will be installed as part of the bootstrap process"
-fi
+    if [ -f "$HOME/.local/bin/webi" ]; then
+        set +e
+        cur_webi="$(command -v webi)"
+        set -e
+        if [ -z "$cur_webi" ]; then
+            webi_path_add "$HOME/.local/bin"
+        fi
+        echo "Installed 'webi'"
+    else
+        # for when this file is run on its own, not from webinstall.dev
+        echo "Install any other package via https://webinstall.dev and webi will be installed as part of the bootstrap process"
+    fi
 
 }
index 54beb4c12fb1c4cf5bcbe3ec6873118eb05e0416..7ff18a569336438a3dd4e54004ec079474cb9d08 100644 (file)
@@ -42,6 +42,6 @@
         #       liblzma 5.2.5
         # This trims it down to just the version number:
         #       5.2.5
-        echo $(xz --version 2>/dev/null | head -n 1 | cut -d ' ' -f 4)
+        echo $(xz --version 2> /dev/null | head -n 1 | cut -d ' ' -f 4)
     }
 }
index 81d3fac92f926ab9403cd58dd05cf359234e8291..4d3ad85e52b24844fc489bdd59cd30219d257d57 100644 (file)
@@ -20,7 +20,7 @@
     }
 
     pkg_get_current_version() {
-        echo $(yq --version 2>/dev/null | head -n 1 | cut -d ' ' -f 2)
+        echo $(yq --version 2> /dev/null | head -n 1 | cut -d ' ' -f 2)
     }
 
 }